#include "complex-server.h"

void flick_marshal_stub_person(flick_marshal_stream_t _stream, const struct person *_data)
{
  flick_fluke_encode_string(_data->name, null_flick_free, fluke, 200);
}

void flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_fluke_decode_string(_data->name, sun_flick_alloc, fluke, 200);
}

void flick_marshal_stub_people(flick_marshal_stream_t _stream, const people *_data)
{
  unsigned long int _t0_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->people_len);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->people_len; _t0_array_iter++)
    {
      flick_fluke_encode_string(_data->people_val[_t0_array_iter].name, null_flick_free, fluke, 200);
    }
}

void flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned long int _t1_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->people_len);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  _data->people_val = sun_flick_alloc(_data->people_len * sizeof(struct person ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->people_len; _t1_array_iter++)
    {
      flick_fluke_decode_string(_data->people_val[_t1_array_iter].name, sun_flick_alloc, fluke, 200);
    }
}

mom_dispatch_action_t progname_2(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t5_switch_tag;

    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t5_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t5_switch_tag)
      {
      case (signed int) 1:
        {
          {
            people *_local_arg;
            struct svc_req *_obj;
            void *_return = 0;
            people _t6_storage;
            unsigned long int _t7_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t6_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_arg->people_len);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            _local_arg->people_val = auto_flick_alloc(_local_arg->people_len * sizeof(struct person ));
            for (_t7_array_iter = 0; _t7_array_iter < _local_arg->people_len; _t7_array_iter++)
              {
                flick_fluke_decode_auto_string(_local_arg->people_val[_t7_array_iter].name, auto_flick_alloc, fluke);
              }
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
