#include "interface_-server.h"

void flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data)
{
  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_s32_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
}

void flick_marshal_stub_math(flick_marshal_stream_t _stream, const math *_data)
{
}

void flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
}

mom_dispatch_action_t math_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t11_switch_tag;

    flick_fluke_decode_new_glob(48);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t11_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t11_switch_tag)
      {
      case req_math_addshort:
        {
          {
            math *_obj;
            oskit_s16_t _local_a;
            oskit_s16_t _local_b;
            mom_exc_t *_ev;
            oskit_s16_t _return = 0;
            mom_exc_t _t12_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a);
            flick_fluke_decode_signed16(2, _local_b);
            _ev = &_t12_storage;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = math_server_addshort(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(6);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_math_subshort:
        {
          {
            math *_obj;
            oskit_s16_t _local_a;
            oskit_s16_t _local_b;
            mom_exc_t *_ev;
            oskit_s16_t _return = 0;
            mom_exc_t _t13_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a);
            flick_fluke_decode_signed16(2, _local_b);
            _ev = &_t13_storage;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = math_server_subshort(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(6);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_math_multshort:
        {
          {
            math *_obj;
            oskit_s16_t _local_a;
            oskit_s16_t _local_b;
            mom_exc_t *_ev;
            oskit_s16_t _return = 0;
            mom_exc_t _t14_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a);
            flick_fluke_decode_signed16(2, _local_b);
            _ev = &_t14_storage;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = math_server_multshort(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(6);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_math_addlong:
        {
          {
            math *_obj;
            oskit_s32_t _local_a;
            oskit_s32_t _local_b;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            mom_exc_t _t15_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a);
            flick_fluke_decode_signed32(4, _local_b);
            _ev = &_t15_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = math_server_addlong(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_math_sublong:
        {
          {
            math *_obj;
            oskit_s32_t _local_a;
            oskit_s32_t _local_b;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            mom_exc_t _t16_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a);
            flick_fluke_decode_signed32(4, _local_b);
            _ev = &_t16_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = math_server_sublong(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_math_multlong:
        {
          {
            math *_obj;
            oskit_s32_t _local_a;
            oskit_s32_t _local_b;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            mom_exc_t _t17_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a);
            flick_fluke_decode_signed32(4, _local_b);
            _ev = &_t17_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = math_server_multlong(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_math_addlonglist:
        {
          {
            math *_obj;
            long10 *_local_a;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            long10 _t18_storage;
            mom_exc_t _t19_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = &_t18_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_a->_length);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_new_chunk(4 * _local_a->_length);
            flick_fluke_decode_msgptr(0, _local_a->_buffer);
            flick_fluke_decode_end_chunk(4 * _local_a->_length);
            _ev = &_t19_storage;
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = math_server_addlonglist(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_math_multlonglist:
        {
          {
            math *_obj;
            long10 *_local_a;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            long10 _t20_storage;
            mom_exc_t _t21_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = &_t20_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_a->_length);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_new_chunk(4 * _local_a->_length);
            flick_fluke_decode_msgptr(0, _local_a->_buffer);
            flick_fluke_decode_end_chunk(4 * _local_a->_length);
            _ev = &_t21_storage;
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = math_server_multlonglist(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(48);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
