#include "struct-server.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const bar *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->b1);
  flick_fluke_encode_signed32(4, _data->b2);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  flick_fluke_encode_string(_data->b3, mom_flick_free, fluke, 20);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, bar *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->b1);
  flick_fluke_decode_signed32(4, _data->b2);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  flick_fluke_decode_string(_data->b3, mom_flick_alloc, fluke, 20);
}

void flick_marshal_stub_bar2(flick_marshal_stream_t _stream, const bar2 *_data)
{
  flick_fluke_encode_new_glob(12);
  flick_fluke_encode_new_chunk(12);
  flick_fluke_encode_signed32(0, _data->b3);
  flick_fluke_encode_signed32(4, _data->b4.b1);
  flick_fluke_encode_signed32(8, _data->b4.b2);
  flick_fluke_encode_end_chunk(12);
  flick_fluke_encode_end_glob(12);
  flick_fluke_encode_string(_data->b4.b3, mom_flick_free, fluke, 20);
}

void flick_unmarshal_stub_bar2(flick_marshal_stream_t _stream, bar2 *_data)
{
  flick_fluke_decode_new_glob(12);
  flick_fluke_decode_new_chunk(12);
  flick_fluke_decode_signed32(0, _data->b3);
  flick_fluke_decode_signed32(4, _data->b4.b1);
  flick_fluke_decode_signed32(8, _data->b4.b2);
  flick_fluke_decode_end_chunk(12);
  flick_fluke_decode_end_glob(12);
  flick_fluke_decode_string(_data->b4.b3, mom_flick_alloc, fluke, 20);
}

void flick_marshal_stub_bar3(flick_marshal_stream_t _stream, const bar3 *_data)
{
  flick_fluke_encode_new_glob(12);
  flick_fluke_encode_new_chunk(12);
  flick_fluke_encode_signed32(0, _data->b1);
  flick_fluke_encode_signed32(4, _data->b2);
  flick_fluke_encode_signed32(8, _data->b3);
  flick_fluke_encode_end_chunk(12);
  flick_fluke_encode_end_glob(12);
}

void flick_unmarshal_stub_bar3(flick_marshal_stream_t _stream, bar3 *_data)
{
  flick_fluke_decode_new_glob(12);
  flick_fluke_decode_new_chunk(12);
  flick_fluke_decode_signed32(0, _data->b1);
  flick_fluke_decode_signed32(4, _data->b2);
  flick_fluke_decode_signed32(8, _data->b3);
  flick_fluke_decode_end_chunk(12);
  flick_fluke_decode_end_glob(12);
}

void flick_marshal_stub_bar4(flick_marshal_stream_t _stream, const bar4 *_data)
{
  flick_fluke_encode_new_glob(16);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed32(0, _data->b1);
  flick_fluke_encode_signed32(4, _data->b2.b3);
  flick_fluke_encode_signed32(8, _data->b2.b4.b1);
  flick_fluke_encode_signed32(12, _data->b2.b4.b2);
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
  flick_fluke_encode_string(_data->b2.b4.b3, mom_flick_free, fluke, 20);
  flick_fluke_encode_new_glob(23);
  flick_fluke_encode_new_chunk_align(20, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->b3);
  flick_fluke_encode_signed32(4, _data->b4.b1);
  flick_fluke_encode_signed32(8, _data->b4.b2);
  flick_fluke_encode_signed32(12, _data->b4.b3);
  flick_fluke_encode_signed32(16, _data->b5);
  flick_fluke_encode_end_chunk(20);
  flick_fluke_encode_end_glob(23);
}

void flick_unmarshal_stub_bar4(flick_marshal_stream_t _stream, bar4 *_data)
{
  flick_fluke_decode_new_glob(16);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed32(0, _data->b1);
  flick_fluke_decode_signed32(4, _data->b2.b3);
  flick_fluke_decode_signed32(8, _data->b2.b4.b1);
  flick_fluke_decode_signed32(12, _data->b2.b4.b2);
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
  flick_fluke_decode_string(_data->b2.b4.b3, mom_flick_alloc, fluke, 20);
  flick_fluke_decode_new_glob(23);
  flick_fluke_decode_new_chunk_align(20, 2, 0, 0);
  flick_fluke_decode_signed32(0, _data->b3);
  flick_fluke_decode_signed32(4, _data->b4.b1);
  flick_fluke_decode_signed32(8, _data->b4.b2);
  flick_fluke_decode_signed32(12, _data->b4.b3);
  flick_fluke_decode_signed32(16, _data->b5);
  flick_fluke_decode_end_chunk(20);
  flick_fluke_decode_end_glob(23);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const foo *_data)
{
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, foo *_data)
{
}

mom_dispatch_action_t foo_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t4_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t4_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t4_switch_tag)
      {
      case req_foo_op:
        {
          {
            foo *_obj;
            bar *_local_a;
            bar2 **_local_b;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            bar _t5_storage;
            bar2 *_t6_storage;
            mom_exc_t _t7_storage;

            _obj = (foo *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = &_t5_storage;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a->b1);
            flick_fluke_decode_signed32(4, _local_a->b2);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_fluke_decode_auto_string(_local_a->b3, auto_flick_alloc, fluke);
            _local_b = &_t6_storage;
            _ev = &_t7_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = foo_server_op(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(20);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(16);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_signed32(4, (*_local_b)->b3);
                  flick_fluke_encode_signed32(8, (*_local_b)->b4.b1);
                  flick_fluke_encode_signed32(12, (*_local_b)->b4.b2);
                  flick_fluke_encode_end_chunk(16);
                  flick_fluke_encode_end_glob(20);
                  flick_fluke_encode_string((*_local_b)->b4.b3, mom_flick_free, fluke, 20);
                  mom_flick_free(*_local_b);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(20);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(20);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
void flick_marshal_stub_foo2(flick_marshal_stream_t _stream, const foo2 *_data)
{
}

void flick_unmarshal_stub_foo2(flick_marshal_stream_t _stream, foo2 *_data)
{
}

mom_dispatch_action_t foo2_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t16_switch_tag;

    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t16_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t16_switch_tag)
      {
      case req_foo2_op2:
        {
          {
            foo2 *_obj;
            bar2 *_local_a;
            mom_exc_t *_ev;
            bar *_return = 0;
            bar2 _t17_storage;
            mom_exc_t _t18_storage;

            _obj = (foo2 *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = &_t17_storage;
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_signed32(0, _local_a->b3);
            flick_fluke_decode_signed32(4, _local_a->b4.b1);
            flick_fluke_decode_signed32(8, _local_a->b4.b2);
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(16);
            flick_fluke_decode_auto_string(_local_a->b4.b3, auto_flick_alloc, fluke);
            _ev = &_t18_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = foo2_server_op2(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8);
                  flick_fluke_encode_signed32(0, _return->b1);
                  flick_fluke_encode_signed32(4, _return->b2);
                  flick_fluke_encode_end_chunk(8);
                  flick_fluke_encode_end_glob(12);
                  flick_fluke_encode_string(_return->b3, mom_flick_free, fluke, 20);
                  mom_flick_free(_return);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(12);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_foo2_op3:
        {
          {
            foo2 *_obj;
            oskit_s32_t _local_a;
            char *_local_b;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            char _t19_storage;
            mom_exc_t _t20_storage;

            _obj = (foo2 *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_a);
            _local_b = &_t19_storage;
            _ev = &_t20_storage;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(16);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = foo2_server_op3(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(9);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(5);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_char8(4, *_local_b);
                  flick_fluke_encode_end_chunk(5);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(9);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_foo_op:
        {
          {
            foo2 *_obj;
            bar *_local_a;
            bar2 **_local_b;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            bar _t21_storage;
            bar2 *_t22_storage;
            mom_exc_t _t23_storage;

            _obj = (foo2 *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = &_t21_storage;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a->b1);
            flick_fluke_decode_signed32(4, _local_a->b2);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(16);
            flick_fluke_decode_auto_string(_local_a->b3, auto_flick_alloc, fluke);
            _local_b = &_t22_storage;
            _ev = &_t23_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = foo2_server_op(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(20);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(16);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_signed32(4, (*_local_b)->b3);
                  flick_fluke_encode_signed32(8, (*_local_b)->b4.b1);
                  flick_fluke_encode_signed32(12, (*_local_b)->b4.b2);
                  flick_fluke_encode_end_chunk(16);
                  flick_fluke_encode_end_glob(20);
                  flick_fluke_encode_string((*_local_b)->b4.b3, mom_flick_free, fluke, 20);
                  mom_flick_free(*_local_b);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(20);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(20);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(16);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
void flick_marshal_stub_Coord(flick_marshal_stream_t _stream, const Coord *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_unsigned16(0, *_data);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_unsigned16(0, *_data);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_CellPos(flick_marshal_stream_t _stream, const CellPos *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned16(0, _data->row);
  flick_fluke_encode_unsigned16(2, _data->col);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_CellPos(flick_marshal_stream_t _stream, CellPos *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned16(0, _data->row);
  flick_fluke_decode_unsigned16(2, _data->col);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_CellPos2(flick_marshal_stream_t _stream, const CellPos2 *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned16(0, _data->row);
  flick_fluke_encode_unsigned16(2, _data->col);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_CellPos2(flick_marshal_stream_t _stream, CellPos2 *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned16(0, _data->row);
  flick_fluke_decode_unsigned16(2, _data->col);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_CellPos3(flick_marshal_stream_t _stream, const CellPos3 *_data)
{
  flick_fluke_encode_new_glob(6);
  flick_fluke_encode_new_chunk(6);
  flick_fluke_encode_unsigned16(0, _data->row);
  flick_fluke_encode_unsigned16(2, _data->col);
  flick_fluke_encode_unsigned16(4, _data->col2);
  flick_fluke_encode_end_chunk(6);
  flick_fluke_encode_end_glob(6);
}

void flick_unmarshal_stub_CellPos3(flick_marshal_stream_t _stream, CellPos3 *_data)
{
  flick_fluke_decode_new_glob(6);
  flick_fluke_decode_new_chunk(6);
  flick_fluke_decode_unsigned16(0, _data->row);
  flick_fluke_decode_unsigned16(2, _data->col);
  flick_fluke_decode_unsigned16(4, _data->col2);
  flick_fluke_decode_end_chunk(6);
  flick_fluke_decode_end_glob(6);
}

