#include "union-server.h"

void flick_marshal_stub_Bar(flick_marshal_stream_t _stream, const Bar *_data)
{
  flick_fluke_encode_new_glob(5);
  flick_fluke_encode_new_chunk(5);
  flick_fluke_encode_signed32(0, _data->b1);
  flick_fluke_encode_char8(4, _data->b2);
  flick_fluke_encode_end_chunk(5);
  flick_fluke_encode_end_glob(5);
}

void flick_unmarshal_stub_Bar(flick_marshal_stream_t _stream, Bar *_data)
{
  flick_fluke_decode_new_glob(5);
  flick_fluke_decode_new_chunk(5);
  flick_fluke_decode_signed32(0, _data->b1);
  flick_fluke_decode_char8(4, _data->b2);
  flick_fluke_decode_end_chunk(5);
  flick_fluke_decode_end_glob(5);
}

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const Foo *_data)
{
  flick_fluke_encode_new_glob(9);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->_u.x);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_encode_new_chunk(5);
        flick_fluke_encode_signed32(0, _data->_u.y.b1);
        flick_fluke_encode_char8(4, _data->_u.y.b2);
        flick_fluke_encode_end_chunk(5);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    }
  flick_fluke_encode_end_glob(9);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, Foo *_data)
{
  flick_fluke_decode_new_glob(9);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->_u.x);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_decode_new_chunk(5);
        flick_fluke_decode_signed32(0, _data->_u.y.b1);
        flick_fluke_decode_char8(4, _data->_u.y.b2);
        flick_fluke_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    }
  flick_fluke_decode_end_glob(9);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const Foo2 *_data)
{
  flick_fluke_encode_new_glob(13);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->_d);
  flick_fluke_encode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_fluke_encode_new_chunk(7);
        flick_fluke_encode_signed32(3, _data->_u.x);
        flick_fluke_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_fluke_encode_new_chunk(7);
        flick_fluke_encode_signed32(3, _data->_u.y._d);
        flick_fluke_encode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _data->_u.y._u.x);
              flick_fluke_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_fluke_encode_new_chunk(5);
              flick_fluke_encode_signed32(0, _data->_u.y._u.y.b1);
              flick_fluke_encode_char8(4, _data->_u.y._u.y.b2);
              flick_fluke_encode_end_chunk(5);
              break;
            }
          default:
            {
              flick_fluke_encode_new_chunk(1);
              flick_fluke_encode_char8(0, _data->_u.y._u.z);
              flick_fluke_encode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_mom_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        break;
      }
    }
  flick_fluke_encode_end_glob(13);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, Foo2 *_data)
{
  flick_fluke_decode_new_glob(13);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->_d);
  flick_fluke_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_fluke_decode_new_chunk(7);
        flick_fluke_decode_signed32(3, _data->_u.x);
        flick_fluke_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_fluke_decode_new_chunk(7);
        flick_fluke_decode_signed32(3, _data->_u.y._d);
        flick_fluke_decode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, _data->_u.y._u.x);
              flick_fluke_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_fluke_decode_new_chunk(5);
              flick_fluke_decode_signed32(0, _data->_u.y._u.y.b1);
              flick_fluke_decode_char8(4, _data->_u.y._u.y.b2);
              flick_fluke_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_char8(0, _data->_u.y._u.z);
              flick_fluke_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_mom_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        break;
      }
    }
  flick_fluke_decode_end_glob(13);
}

void flick_marshal_stub_a_astruct(flick_marshal_stream_t _stream, const a_astruct *_data)
{
  flick_fluke_encode_new_glob(33);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->a1._d);
  flick_fluke_encode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_fluke_encode_new_chunk(7);
        flick_fluke_encode_signed32(3, _data->a1._u.x);
        flick_fluke_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_fluke_encode_new_chunk(7);
        flick_fluke_encode_signed32(3, _data->a1._u.y._d);
        flick_fluke_encode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _data->a1._u.y._u.x);
              flick_fluke_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_fluke_encode_new_chunk(5);
              flick_fluke_encode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_fluke_encode_char8(4, _data->a1._u.y._u.y.b2);
              flick_fluke_encode_end_chunk(5);
              break;
            }
          default:
            {
              flick_fluke_encode_new_chunk(1);
              flick_fluke_encode_char8(0, _data->a1._u.y._u.z);
              flick_fluke_encode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_mom_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        break;
      }
    }
  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->a2._d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->a2._u.x);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_encode_new_chunk(5);
        flick_fluke_encode_signed32(0, _data->a2._u.y.b1);
        flick_fluke_encode_char8(4, _data->a2._u.y.b2);
        flick_fluke_encode_end_chunk(5);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->a2._u.z);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    }
  flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->a3.b1);
  flick_fluke_encode_char8(4, _data->a3.b2);
  flick_fluke_encode_end_chunk(5);
  flick_fluke_encode_end_glob(33);
}

void flick_unmarshal_stub_a_astruct(flick_marshal_stream_t _stream, a_astruct *_data)
{
  flick_fluke_decode_new_glob(33);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->a1._d);
  flick_fluke_decode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_fluke_decode_new_chunk(7);
        flick_fluke_decode_signed32(3, _data->a1._u.x);
        flick_fluke_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_fluke_decode_new_chunk(7);
        flick_fluke_decode_signed32(3, _data->a1._u.y._d);
        flick_fluke_decode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, _data->a1._u.y._u.x);
              flick_fluke_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_fluke_decode_new_chunk(5);
              flick_fluke_decode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_fluke_decode_char8(4, _data->a1._u.y._u.y.b2);
              flick_fluke_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_char8(0, _data->a1._u.y._u.z);
              flick_fluke_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_mom_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        break;
      }
    }
  flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_decode_signed32(0, _data->a2._d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->a2._u.x);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_decode_new_chunk(5);
        flick_fluke_decode_signed32(0, _data->a2._u.y.b1);
        flick_fluke_decode_char8(4, _data->a2._u.y.b2);
        flick_fluke_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->a2._u.z);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    }
  flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
  flick_fluke_decode_signed32(0, _data->a3.b1);
  flick_fluke_decode_char8(4, _data->a3.b2);
  flick_fluke_decode_end_chunk(5);
  flick_fluke_decode_end_glob(33);
}

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
}

mom_dispatch_action_t a_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t3_switch_tag;

    flick_fluke_decode_new_glob(37);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t3_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t3_switch_tag)
      {
      case req_a_opA:
        {
          {
            a *_obj;
            a_astruct *_local_b;
            mom_exc_t *_ev;
            Foo2 _return;
            a_astruct _t4_storage;
            mom_exc_t _t5_storage;

            _obj = (a *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_b = &_t4_storage;
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_b->a1._d);
            flick_fluke_decode_end_chunk(1);
            switch (_local_b->a1._d)
              {
              case 'a':
                {
                  flick_fluke_decode_new_chunk(7);
                  flick_fluke_decode_signed32(3, _local_b->a1._u.x);
                  flick_fluke_decode_end_chunk(7);
                  break;
                }
              case 'b':
                {
                  flick_fluke_decode_new_chunk(7);
                  flick_fluke_decode_signed32(3, _local_b->a1._u.y._d);
                  flick_fluke_decode_end_chunk(7);
                  switch (_local_b->a1._u.y._d)
                    {
                    case 1:
                      {
                        flick_fluke_decode_new_chunk(4);
                        flick_fluke_decode_signed32(0, _local_b->a1._u.y._u.x);
                        flick_fluke_decode_end_chunk(4);
                        break;
                      }
                    case 2:
                      {
                        flick_fluke_decode_new_chunk(5);
                        flick_fluke_decode_signed32(0, _local_b->a1._u.y._u.y.b1);
                        flick_fluke_decode_char8(4, _local_b->a1._u.y._u.y.b2);
                        flick_fluke_decode_end_chunk(5);
                        break;
                      }
                    default:
                      {
                        flick_fluke_decode_new_chunk(1);
                        flick_fluke_decode_char8(0, _local_b->a1._u.y._u.z);
                        flick_fluke_decode_end_chunk(1);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
                  break;
                }
              }
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_decode_signed32(0, _local_b->a2._d);
            flick_fluke_decode_end_chunk(4);
            switch (_local_b->a2._d)
              {
              case 1:
                {
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_signed32(0, _local_b->a2._u.x);
                  flick_fluke_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_fluke_decode_new_chunk(5);
                  flick_fluke_decode_signed32(0, _local_b->a2._u.y.b1);
                  flick_fluke_decode_char8(4, _local_b->a2._u.y.b2);
                  flick_fluke_decode_end_chunk(5);
                  break;
                }
              default:
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_b->a2._u.z);
                  flick_fluke_decode_end_chunk(1);
                  break;
                }
              }
            flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
            flick_fluke_decode_signed32(0, _local_b->a3.b1);
            flick_fluke_decode_char8(4, _local_b->a3.b2);
            _ev = &_t5_storage;
            flick_fluke_decode_end_chunk(5);
            flick_fluke_decode_end_glob(37);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = a_server_opA(_obj, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(17);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _return._d);
                  flick_fluke_encode_end_chunk(1);
                  switch (_return._d)
                    {
                    case 'a':
                      {
                        flick_fluke_encode_new_chunk(7);
                        flick_fluke_encode_signed32(3, _return._u.x);
                        flick_fluke_encode_end_chunk(7);
                        break;
                      }
                    case 'b':
                      {
                        flick_fluke_encode_new_chunk(7);
                        flick_fluke_encode_signed32(3, _return._u.y._d);
                        flick_fluke_encode_end_chunk(7);
                        switch (_return._u.y._d)
                          {
                          case 1:
                            {
                              flick_fluke_encode_new_chunk(4);
                              flick_fluke_encode_signed32(0, _return._u.y._u.x);
                              flick_fluke_encode_end_chunk(4);
                              break;
                            }
                          case 2:
                            {
                              flick_fluke_encode_new_chunk(5);
                              flick_fluke_encode_signed32(0, _return._u.y._u.y.b1);
                              flick_fluke_encode_char8(4, _return._u.y._u.y.b2);
                              flick_fluke_encode_end_chunk(5);
                              break;
                            }
                          default:
                            {
                              flick_fluke_encode_new_chunk(1);
                              flick_fluke_encode_char8(0, _return._u.y._u.z);
                              flick_fluke_encode_end_chunk(1);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
                        break;
                      }
                    }
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(17);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(37);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
