#ifndef _union_server_h_
#define _union_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___Bar
#define _typedef___Bar
typedef struct Bar {
  oskit_s32_t b1;
  char b2;
} Bar;
#endif /* _typedef___Bar */

void flick_marshal_stub_Bar(flick_marshal_stream_t _stream, const Bar *_data);

void flick_unmarshal_stub_Bar(flick_marshal_stream_t _stream, Bar *_data);

#ifndef _typedef___Foo
#define _typedef___Foo
typedef struct Foo {
  oskit_s32_t _d;
  union {
    oskit_s32_t x;
    Bar y;
    char z;
  } _u;
} Foo;
#endif /* _typedef___Foo */

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const Foo *_data);

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, Foo *_data);

#ifndef _typedef___Foo2
#define _typedef___Foo2
typedef struct Foo2 {
  char _d;
  union {
    oskit_s32_t x;
    Foo y;
  } _u;
} Foo2;
#endif /* _typedef___Foo2 */

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const Foo2 *_data);

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, Foo2 *_data);

#ifndef _typedef___a_astruct
#define _typedef___a_astruct
typedef struct a_astruct {
  Foo2 a1;
  Foo a2;
  Bar a3;
} a_astruct;
#endif /* _typedef___a_astruct */

void flick_marshal_stub_a_astruct(flick_marshal_stream_t _stream, const a_astruct *_data);

void flick_unmarshal_stub_a_astruct(flick_marshal_stream_t _stream, a_astruct *_data);

#include <fluke/flick.h>

#ifndef _typedef___a
#define _typedef___a
typedef struct a_struct a;
#endif /* _typedef___a */

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data);

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data);

mom_dispatch_action_t a_server(void *_dispatch_object, mom_dispatch_data_t *_dispatch_data);

Foo2 a_server_opA(a *_obj, const a_astruct *b, mom_exc_t *_ev);

#endif /* _union_server_h_ */
