#include "constant-client.h"

void flick_marshal_stub_N(flick_marshal_stream_t _stream, const N *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_N(flick_marshal_stream_t _stream, N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_N_swap(flick_marshal_stream_t _stream, N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_E(flick_marshal_stream_t _stream, const E *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_E(flick_marshal_stream_t _stream, E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_E_swap(flick_marshal_stream_t _stream, E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_F(flick_marshal_stream_t _stream, const F *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->type);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_F(flick_marshal_stream_t _stream, F *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->type);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_F_swap(flick_marshal_stream_t _stream, F *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->type);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_M_N(flick_marshal_stream_t _stream, const M_N *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_M_N(flick_marshal_stream_t _stream, M_N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_M_N_swap(flick_marshal_stream_t _stream, M_N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_M_E(flick_marshal_stream_t _stream, const M_E *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_M_E(flick_marshal_stream_t _stream, M_E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_M_E_swap(flick_marshal_stream_t _stream, M_E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_M_A_N(flick_marshal_stream_t _stream, const M_A_N *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_M_A_N(flick_marshal_stream_t _stream, M_A_N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_M_A_N_swap(flick_marshal_stream_t _stream, M_A_N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_M_A_E(flick_marshal_stream_t _stream, const M_A_E *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_M_A_E(flick_marshal_stream_t _stream, M_A_E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_M_A_E_swap(flick_marshal_stream_t _stream, M_A_E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_M_A(flick_marshal_stream_t _stream, const M_A *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_M_A(flick_marshal_stream_t _stream, M_A *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_M_A_swap(flick_marshal_stream_t _stream, M_A *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

M_A_N M_A_foo(M_A _obj, M_A_N x, M_A_N *y, M_A_N *z, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  M_A_N _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'f');
    flick_cdr_encode_char8(5, 'o');
    flick_cdr_encode_char8(6, 'o');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(12, x);
    flick_cdr_encode_unsigned32(16, *z);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_swap_decode_unsigned32(0, _return);
            flick_cdr_swap_decode_unsigned32(4, *y);
            flick_cdr_swap_decode_unsigned32(8, *z);
            flick_iiop_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _ev->_atomic_user_id);
            flick_iiop_decode_end_chunk(4);
            switch (_ev->_atomic_user_id)
              {
              case 0:
                {
                  (M_A_E *)(_ev->_except) = CORBA_flick_alloc(sizeof(M_A_E ));
                  flick_iiop_decode_new_chunk(2);
                  flick_cdr_swap_decode_signed16(0, ((M_A_E *)(_ev->_except))->cause);
                  flick_iiop_decode_end_chunk(2);
                  break;
                }
              case 1:
                {
                  (F *)(_ev->_except) = CORBA_flick_alloc(sizeof(F ));
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, ((F *)(_ev->_except))->type);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                  break;
                }
              }
          }
        }
      flick_iiop_decode_end_glob(16);
    }
  } else {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _return);
            flick_cdr_decode_unsigned32(4, *y);
            flick_cdr_decode_unsigned32(8, *z);
            flick_iiop_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _ev->_atomic_user_id);
            flick_iiop_decode_end_chunk(4);
            switch (_ev->_atomic_user_id)
              {
              case 0:
                {
                  (M_A_E *)(_ev->_except) = CORBA_flick_alloc(sizeof(M_A_E ));
                  flick_iiop_decode_new_chunk(2);
                  flick_cdr_decode_signed16(0, ((M_A_E *)(_ev->_except))->cause);
                  flick_iiop_decode_end_chunk(2);
                  break;
                }
              case 1:
                {
                  (F *)(_ev->_except) = CORBA_flick_alloc(sizeof(F ));
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, ((F *)(_ev->_except))->type);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                  break;
                }
              }
          }
        }
      flick_iiop_decode_end_glob(16);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

