#include "nest-refs-client.h"

void flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(1 * _data->_length);
  flick_iiop_encode_new_chunk(1 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_iiop_encode_end_chunk(1 * _data->_length);
  flick_iiop_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  flick_iiop_decode_new_chunk(1 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_iiop_decode_end_chunk(1 * _data->_length);
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_OctetSequence_swap(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  unsigned long int _t0_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->_buffer[_t0_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(1 * _data->_length);
  flick_iiop_encode_new_chunk(1 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_iiop_encode_end_chunk(1 * _data->_length);
  flick_iiop_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  flick_iiop_decode_new_chunk(1 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_iiop_decode_end_chunk(1 * _data->_length);
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_ReferenceData_swap(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->_buffer[_t1_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

ReferenceData *test__get_id(test _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  ReferenceData *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 8);
    flick_cdr_encode_char8(4, '_');
    flick_cdr_encode_char8(5, 'g');
    flick_cdr_encode_char8(6, 'e');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'i');
    flick_cdr_encode_char8(10, 'd');
    flick_cdr_encode_char8(11, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t3_array_iter;

            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(ReferenceData ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _return->_length);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(1 * _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            for (_t3_array_iter = 0; _t3_array_iter < _return->_length; _t3_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_unsigned8(0, _return->_buffer[_t3_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            flick_iiop_decode_end_glob(1 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(ReferenceData ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _return->_length);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(1 * _return->_length);
            flick_iiop_decode_new_chunk(1 * _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            flick_cdr_decode_bcopy(0, _return->_buffer, 1 * _return->_length);
            flick_iiop_decode_end_chunk(1 * _return->_length);
            flick_iiop_decode_end_glob(1 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

void test__set_id(test _obj, ReferenceData *id, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 8);
    flick_cdr_encode_char8(4, '_');
    flick_cdr_encode_char8(5, 's');
    flick_cdr_encode_char8(6, 'e');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'i');
    flick_cdr_encode_char8(10, 'd');
    flick_cdr_encode_char8(11, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(16, id->_length);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
    flick_iiop_encode_new_glob(1 * id->_length);
    flick_iiop_encode_new_chunk(1 * id->_length);
    flick_cdr_encode_bcopy(0, id->_buffer, 1 * id->_length);
    flick_iiop_encode_end_chunk(1 * id->_length);
    flick_iiop_encode_end_glob(1 * id->_length);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
}

OctetSequence *test__get_info(test _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  OctetSequence *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, '_');
    flick_cdr_encode_char8(5, 'g');
    flick_cdr_encode_char8(6, 'e');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'i');
    flick_cdr_encode_char8(10, 'n');
    flick_cdr_encode_char8(11, 'f');
    flick_cdr_encode_char8(12, 'o');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t5_array_iter;

            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(OctetSequence ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _return->_length);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(1 * _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            for (_t5_array_iter = 0; _t5_array_iter < _return->_length; _t5_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_unsigned8(0, _return->_buffer[_t5_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            flick_iiop_decode_end_glob(1 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(OctetSequence ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _return->_length);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(1 * _return->_length);
            flick_iiop_decode_new_chunk(1 * _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            flick_cdr_decode_bcopy(0, _return->_buffer, 1 * _return->_length);
            flick_iiop_decode_end_chunk(1 * _return->_length);
            flick_iiop_decode_end_glob(1 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

void test__set_info(test _obj, OctetSequence *info, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, '_');
    flick_cdr_encode_char8(5, 's');
    flick_cdr_encode_char8(6, 'e');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'i');
    flick_cdr_encode_char8(10, 'n');
    flick_cdr_encode_char8(11, 'f');
    flick_cdr_encode_char8(12, 'o');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(20, info->_length);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
    flick_iiop_encode_new_glob(1 * info->_length);
    flick_iiop_encode_new_chunk(1 * info->_length);
    flick_cdr_encode_bcopy(0, info->_buffer, 1 * info->_length);
    flick_iiop_encode_end_chunk(1 * info->_length);
    flick_iiop_encode_end_glob(1 * info->_length);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
}

