#include "constant-client.h"

void flick_marshal_stub_N(flick_marshal_stream_t _stream, const N *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_N(flick_marshal_stream_t _stream, N *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_E(flick_marshal_stream_t _stream, const E *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->cause);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_E(flick_marshal_stream_t _stream, E *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->cause);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_F(flick_marshal_stream_t _stream, const F *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->type);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_F(flick_marshal_stream_t _stream, F *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->type);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_M_N(flick_marshal_stream_t _stream, const M_N *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_M_N(flick_marshal_stream_t _stream, M_N *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_M_E(flick_marshal_stream_t _stream, const M_E *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->cause);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_M_E(flick_marshal_stream_t _stream, M_E *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->cause);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_M_A_N(flick_marshal_stream_t _stream, const M_A_N *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_M_A_N(flick_marshal_stream_t _stream, M_A_N *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_M_A_E(flick_marshal_stream_t _stream, const M_A_E *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->cause);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_M_A_E(flick_marshal_stream_t _stream, M_A_E *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->cause);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_M_A(flick_marshal_stream_t _stream, const M_A *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_M_A(flick_marshal_stream_t _stream, M_A *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

M_A_N M_A_foo(M_A _obj, M_A_N x, M_A_N *y, M_A_N *z, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  M_A_N _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(56);
    flick_mach3mig_encode_new_chunk(56);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'f');
    flick_mach3mig_encode_char8(16, 'o');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(40, x);
    flick_mach3mig_encode_unsigned32(48, *z);
    flick_mach3mig_encode_end_chunk(56);
    flick_mach3mig_encode_end_glob(56);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t6_switch_tag;

    flick_mach3mig_decode_new_glob(80);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t6_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t6_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t7_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t7_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t7_switch_tag)
            {
            case '$':
              {
                char _t8_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t8_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t8_switch_tag)
                  {
                  case 'f':
                    {
                      char _t9_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t9_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t9_switch_tag)
                        {
                        case 'o':
                          {
                            char _t10_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t10_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t10_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t11_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t11_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t11_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_new_chunk(24);
                                              flick_mach3mig_decode_unsigned32(0, _return);
                                              flick_mach3mig_decode_unsigned32(8, *y);
                                              flick_mach3mig_decode_unsigned32(16, *z);
                                              flick_mach3mig_decode_end_chunk(24);
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _ev->_atomic_user_id);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_atomic_user_id)
                                                {
                                                case 0:
                                                  {
                                                    (M_A_E *)(_ev->_except) = CORBA_flick_alloc(sizeof(M_A_E ));
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed16(0, ((M_A_E *)(_ev->_except))->cause);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                case 1:
                                                  {
                                                    (F *)(_ev->_except) = CORBA_flick_alloc(sizeof(F ));
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, ((F *)(_ev->_except))->type);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(80);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

