#include "interface_-client.h"

void flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data)
{
  flick_mach3mig_encode_new_glob(52);
  flick_mach3mig_encode_new_chunk(12 + 4 * _data->_length);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed32_type(8, _data->_length, 1, _type);
  if (_data->_length > (unsigned int) 10)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_encode_bcopy(12, _data->_buffer, 4 * _data->_length);
  flick_mach3mig_array_encode_end_chunk(12 + 4 * _data->_length);
  flick_mach3mig_encode_end_glob(52);
}

void flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
  flick_mach3mig_decode_new_glob(52);
  flick_mach3mig_decode_new_chunk(12);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  flick_mach3mig_array_decode_signed32_type(8, _data->_length, 1, _type);
  if (_data->_length > (unsigned int) 10)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_decode_end_chunk(12);
  flick_mach3mig_array_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_mach3mig_array_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_mach3mig_array_decode_end_chunk(4 * _data->_length);
  flick_mach3mig_decode_end_glob(52);
}

void flick_marshal_stub_math(flick_marshal_stream_t _stream, const math *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

CORBA_short math_addshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_short _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(96);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 'a');
    flick_mach3mig_encode_char8(16, 'd');
    flick_mach3mig_encode_char8(24, 'd');
    flick_mach3mig_encode_char8(32, 's');
    flick_mach3mig_encode_char8(40, 'h');
    flick_mach3mig_encode_char8(48, 'o');
    flick_mach3mig_encode_char8(56, 'r');
    flick_mach3mig_encode_char8(64, 't');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(80, a);
    flick_mach3mig_encode_signed16(88, b);
    flick_mach3mig_encode_end_chunk(96);
    flick_mach3mig_encode_end_glob(96);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t11_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t11_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t11_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t12_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t12_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t12_switch_tag)
            {
            case '$':
              {
                char _t13_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t13_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t13_switch_tag)
                  {
                  case 'a':
                    {
                      char _t14_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t14_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t14_switch_tag)
                        {
                        case 'd':
                          {
                            char _t15_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t15_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t15_switch_tag)
                              {
                              case 'd':
                                {
                                  char _t16_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t16_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t16_switch_tag)
                                    {
                                    case 's':
                                      {
                                        char _t17_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t17_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t17_switch_tag)
                                          {
                                          case 'h':
                                            {
                                              char _t18_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t18_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t18_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t19_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t19_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t19_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t20_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t20_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t20_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t21_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t21_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t21_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            /* Begin decode phase on parameters */
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed16(0, _return);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(104);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_short math_subshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_short _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(96);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 's');
    flick_mach3mig_encode_char8(16, 'u');
    flick_mach3mig_encode_char8(24, 'b');
    flick_mach3mig_encode_char8(32, 's');
    flick_mach3mig_encode_char8(40, 'h');
    flick_mach3mig_encode_char8(48, 'o');
    flick_mach3mig_encode_char8(56, 'r');
    flick_mach3mig_encode_char8(64, 't');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(80, a);
    flick_mach3mig_encode_signed16(88, b);
    flick_mach3mig_encode_end_chunk(96);
    flick_mach3mig_encode_end_glob(96);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t33_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t33_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t33_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t34_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t34_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t34_switch_tag)
            {
            case '$':
              {
                char _t35_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t35_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t35_switch_tag)
                  {
                  case 's':
                    {
                      char _t36_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t36_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t36_switch_tag)
                        {
                        case 'u':
                          {
                            char _t37_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t37_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t37_switch_tag)
                              {
                              case 'b':
                                {
                                  char _t38_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t38_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t38_switch_tag)
                                    {
                                    case 's':
                                      {
                                        char _t39_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t39_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t39_switch_tag)
                                          {
                                          case 'h':
                                            {
                                              char _t40_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t40_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t40_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t41_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t41_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t41_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t42_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t42_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t42_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t43_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t43_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t43_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            /* Begin decode phase on parameters */
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed16(0, _return);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(104);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_short math_multshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_short _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 'm');
    flick_mach3mig_encode_char8(16, 'u');
    flick_mach3mig_encode_char8(24, 'l');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, 's');
    flick_mach3mig_encode_char8(48, 'h');
    flick_mach3mig_encode_char8(56, 'o');
    flick_mach3mig_encode_char8(64, 'r');
    flick_mach3mig_encode_char8(72, 't');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(88, a);
    flick_mach3mig_encode_signed16(96, b);
    flick_mach3mig_encode_end_chunk(104);
    flick_mach3mig_encode_end_glob(104);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t56_switch_tag;

    flick_mach3mig_decode_new_glob(112);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t56_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t56_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t57_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t57_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t57_switch_tag)
            {
            case '$':
              {
                char _t58_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t58_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t58_switch_tag)
                  {
                  case 'm':
                    {
                      char _t59_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t59_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t59_switch_tag)
                        {
                        case 'u':
                          {
                            char _t60_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t60_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t60_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t61_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t61_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t61_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t62_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t62_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t62_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t63_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t63_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t63_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t64_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t64_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t64_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t65_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t65_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t65_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t66_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t66_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t66_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t67_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t67_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t67_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed16(0, _return);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(112);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long math_addlong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 'a');
    flick_mach3mig_encode_char8(16, 'd');
    flick_mach3mig_encode_char8(24, 'd');
    flick_mach3mig_encode_char8(32, 'l');
    flick_mach3mig_encode_char8(40, 'o');
    flick_mach3mig_encode_char8(48, 'n');
    flick_mach3mig_encode_char8(56, 'g');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(72, a);
    flick_mach3mig_encode_signed32(80, b);
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t78_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t78_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t78_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t79_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t79_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t79_switch_tag)
            {
            case '$':
              {
                char _t80_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t80_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t80_switch_tag)
                  {
                  case 'a':
                    {
                      char _t81_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t81_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t81_switch_tag)
                        {
                        case 'd':
                          {
                            char _t82_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t82_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t82_switch_tag)
                              {
                              case 'd':
                                {
                                  char _t83_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t83_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t83_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t84_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t84_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t84_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t85_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t85_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t85_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t86_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t86_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t86_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t87_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t87_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t87_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _return);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long math_sublong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 's');
    flick_mach3mig_encode_char8(16, 'u');
    flick_mach3mig_encode_char8(24, 'b');
    flick_mach3mig_encode_char8(32, 'l');
    flick_mach3mig_encode_char8(40, 'o');
    flick_mach3mig_encode_char8(48, 'n');
    flick_mach3mig_encode_char8(56, 'g');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(72, a);
    flick_mach3mig_encode_signed32(80, b);
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t98_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t98_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t98_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t99_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t99_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t99_switch_tag)
            {
            case '$':
              {
                char _t100_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t100_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t100_switch_tag)
                  {
                  case 's':
                    {
                      char _t101_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t101_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t101_switch_tag)
                        {
                        case 'u':
                          {
                            char _t102_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t102_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t102_switch_tag)
                              {
                              case 'b':
                                {
                                  char _t103_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t103_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t103_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t104_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t104_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t104_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t105_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t105_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t105_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t106_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t106_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t106_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t107_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t107_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t107_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _return);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long math_multlong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(96);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 'm');
    flick_mach3mig_encode_char8(16, 'u');
    flick_mach3mig_encode_char8(24, 'l');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, 'l');
    flick_mach3mig_encode_char8(48, 'o');
    flick_mach3mig_encode_char8(56, 'n');
    flick_mach3mig_encode_char8(64, 'g');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(80, a);
    flick_mach3mig_encode_signed32(88, b);
    flick_mach3mig_encode_end_chunk(96);
    flick_mach3mig_encode_end_glob(96);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t119_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t119_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t119_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t120_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t120_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t120_switch_tag)
            {
            case '$':
              {
                char _t121_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t121_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t121_switch_tag)
                  {
                  case 'm':
                    {
                      char _t122_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t122_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t122_switch_tag)
                        {
                        case 'u':
                          {
                            char _t123_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t123_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t123_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t124_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t124_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t124_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t125_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t125_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t125_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t126_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t126_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t126_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t127_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t127_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t127_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t128_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t128_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t128_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t129_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t129_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t129_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            /* Begin decode phase on parameters */
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _return);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(104);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long math_addlonglist(math _obj, long10 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(156);
    flick_mach3mig_encode_new_chunk(116 + 4 * a->_length);
    flick_mach3mig_encode_unsigned32(0, 12);
    flick_mach3mig_encode_char8(8, 'a');
    flick_mach3mig_encode_char8(16, 'd');
    flick_mach3mig_encode_char8(24, 'd');
    flick_mach3mig_encode_char8(32, 'l');
    flick_mach3mig_encode_char8(40, 'o');
    flick_mach3mig_encode_char8(48, 'n');
    flick_mach3mig_encode_char8(56, 'g');
    flick_mach3mig_encode_char8(64, 'l');
    flick_mach3mig_encode_char8(72, 'i');
    flick_mach3mig_encode_char8(80, 's');
    flick_mach3mig_encode_char8(88, 't');
    flick_mach3mig_encode_char8(96, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(104, a->_length);
    flick_mach3mig_array_encode_signed32_type(112, a->_length, 1, _type);
    if (a->_length > (unsigned int) 10)
      return MIG_ARRAY_TOO_LARGE;
    flick_mach3mig_array_encode_bcopy(116, a->_buffer, 4 * a->_length);
    flick_mach3mig_array_encode_end_chunk(116 + 4 * a->_length);
    flick_mach3mig_encode_end_glob(156);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t144_switch_tag;

    flick_mach3mig_decode_new_glob(128);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t144_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t144_switch_tag)
      {
      case (unsigned int) 13:
        {
          char _t145_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t145_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t145_switch_tag)
            {
            case '$':
              {
                char _t146_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t146_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t146_switch_tag)
                  {
                  case 'a':
                    {
                      char _t147_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t147_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t147_switch_tag)
                        {
                        case 'd':
                          {
                            char _t148_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t148_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t148_switch_tag)
                              {
                              case 'd':
                                {
                                  char _t149_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t149_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t149_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t150_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t150_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t150_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t151_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t151_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t151_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t152_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t152_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t152_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t153_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t153_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t153_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t154_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t154_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t154_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t155_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t155_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t155_switch_tag)
                                                                        {
                                                                        case 's':
                                                                          {
                                                                            char _t156_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t156_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t156_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t157_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t157_switch_tag);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_t157_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_ev->_major)
                                                                                          {
                                                                                          case CORBA_NO_EXCEPTION:
                                                                                            {
                                                                                              /* Begin decode phase on parameters */
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_signed32(0, _return);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              break;
                                                                                            }
                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                            {
                                                                                              flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(128);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long math_multlonglist(math _obj, long10 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(164);
    flick_mach3mig_encode_new_chunk(124 + 4 * a->_length);
    flick_mach3mig_encode_unsigned32(0, 13);
    flick_mach3mig_encode_char8(8, 'm');
    flick_mach3mig_encode_char8(16, 'u');
    flick_mach3mig_encode_char8(24, 'l');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, 'l');
    flick_mach3mig_encode_char8(48, 'o');
    flick_mach3mig_encode_char8(56, 'n');
    flick_mach3mig_encode_char8(64, 'g');
    flick_mach3mig_encode_char8(72, 'l');
    flick_mach3mig_encode_char8(80, 'i');
    flick_mach3mig_encode_char8(88, 's');
    flick_mach3mig_encode_char8(96, 't');
    flick_mach3mig_encode_char8(104, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(112, a->_length);
    flick_mach3mig_array_encode_signed32_type(120, a->_length, 1, _type);
    if (a->_length > (unsigned int) 10)
      return MIG_ARRAY_TOO_LARGE;
    flick_mach3mig_array_encode_bcopy(124, a->_buffer, 4 * a->_length);
    flick_mach3mig_array_encode_end_chunk(124 + 4 * a->_length);
    flick_mach3mig_encode_end_glob(164);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t173_switch_tag;

    flick_mach3mig_decode_new_glob(136);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t173_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t173_switch_tag)
      {
      case (unsigned int) 14:
        {
          char _t174_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t174_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t174_switch_tag)
            {
            case '$':
              {
                char _t175_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t175_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t175_switch_tag)
                  {
                  case 'm':
                    {
                      char _t176_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t176_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t176_switch_tag)
                        {
                        case 'u':
                          {
                            char _t177_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t177_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t177_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t178_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t178_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t178_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t179_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t179_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t179_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t180_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t180_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t180_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t181_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t181_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t181_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t182_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t182_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t182_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t183_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t183_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t183_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t184_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t184_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t184_switch_tag)
                                                                        {
                                                                        case 'i':
                                                                          {
                                                                            char _t185_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t185_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t185_switch_tag)
                                                                              {
                                                                              case 's':
                                                                                {
                                                                                  char _t186_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t186_switch_tag);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_t186_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t187_switch_tag;

                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_char8(0, _t187_switch_tag);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_t187_switch_tag)
                                                                                          {
                                                                                          case 0:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              switch (_ev->_major)
                                                                                                {
                                                                                                case CORBA_NO_EXCEPTION:
                                                                                                  {
                                                                                                    /* Begin decode phase on parameters */
                                                                                                    flick_mach3mig_decode_new_chunk(8);
                                                                                                    flick_mach3mig_decode_signed32(0, _return);
                                                                                                    flick_mach3mig_decode_end_chunk(8);
                                                                                                    break;
                                                                                                  }
                                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                                  {
                                                                                                    flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(136);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

