#include "mig-arrays-server.h"

boolean_t test_server(mach_msg_header_t *InHeadP, mach_msg_header_t *OutHeadP)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;

  flick_mach3mig_server_start_decode();
  {
    signed int _t23_switch_tag;

    _t23_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t23_switch_tag)
      {
      case (signed int) 123002:
        {
          {
            mach_port_t _local_target;
            t64B _local_foo;
            kern_return_t _return;
            unsigned *_t24_internal;
            flick_unsigned8_t _t25_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t24_internal = (unsigned *)_local_foo;
            _t25_array_length = 16;
            flick_mach3mig_array_decode_new_glob(68);
            flick_mach3mig_array_decode_new_chunk(68);
            flick_mach3mig_array_decode_signed32_type(0, _t25_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(4, _t24_internal, 4 * _t25_array_length);
            flick_mach3mig_decode_end_chunk(68);
            flick_mach3mig_decode_end_glob(68);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64_in(_local_target, _local_foo);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 123102;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123003:
        {
          {
            mach_port_t _local_target;
            t128B _local_foo;
            kern_return_t _return;
            unsigned *_t26_internal;
            flick_unsigned8_t _t27_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t26_internal = (unsigned *)_local_foo;
            _t27_array_length = 32;
            flick_mach3mig_array_decode_new_glob(132);
            flick_mach3mig_array_decode_new_chunk(132);
            flick_mach3mig_array_decode_signed32_type(0, _t27_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(4, _t26_internal, 4 * _t27_array_length);
            flick_mach3mig_decode_end_chunk(132);
            flick_mach3mig_decode_end_glob(132);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128_in(_local_target, _local_foo);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 123103;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123004:
        {
          {
            mach_port_t _local_target;
            t256B _local_foo;
            kern_return_t _return;
            unsigned *_t28_internal;
            flick_unsigned8_t _t29_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t28_internal = (unsigned *)_local_foo;
            _t29_array_length = 64;
            flick_mach3mig_array_decode_new_glob(260);
            flick_mach3mig_array_decode_new_chunk(260);
            flick_mach3mig_array_decode_signed32_type(0, _t29_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(4, _t28_internal, 4 * _t29_array_length);
            flick_mach3mig_decode_end_chunk(260);
            flick_mach3mig_decode_end_glob(260);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256_in(_local_target, _local_foo);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 123104;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123005:
        {
          {
            mach_port_t _local_target;
            t512B _local_foo;
            kern_return_t _return;
            unsigned *_t30_internal;
            flick_unsigned8_t _t31_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t30_internal = (unsigned *)_local_foo;
            _t31_array_length = 128;
            flick_mach3mig_array_decode_new_glob(516);
            flick_mach3mig_array_decode_new_chunk(516);
            flick_mach3mig_array_decode_signed32_type(0, _t31_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(4, _t30_internal, 4 * _t31_array_length);
            flick_mach3mig_decode_end_chunk(516);
            flick_mach3mig_decode_end_glob(516);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512_in(_local_target, _local_foo);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 123105;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123006:
        {
          {
            mach_port_t _local_target;
            t1K _local_data;
            kern_return_t _return;
            unsigned *_t32_internal;
            flick_unsigned16_t _t33_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t32_internal = (unsigned *)_local_data;
            _t33_array_length = 256;
            flick_mach3mig_array_decode_new_glob(1028);
            flick_mach3mig_array_decode_new_chunk(1028);
            flick_mach3mig_array_decode_signed32_type(0, _t33_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(4, _t32_internal, 4 * _t33_array_length);
            flick_mach3mig_decode_end_chunk(1028);
            flick_mach3mig_decode_end_glob(1028);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 123106;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123007:
        {
          {
            mach_port_t _local_target;
            t2K _local_data;
            kern_return_t _return;
            unsigned *_t34_internal;
            flick_unsigned16_t _t35_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t34_internal = (unsigned *)_local_data;
            _t35_array_length = 512;
            flick_mach3mig_array_decode_new_glob(2052);
            flick_mach3mig_array_decode_new_chunk(2052);
            flick_mach3mig_array_decode_signed32_type(0, _t35_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(4, _t34_internal, 4 * _t35_array_length);
            flick_mach3mig_decode_end_chunk(2052);
            flick_mach3mig_decode_end_glob(2052);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_2K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 123107;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123008:
        {
          {
            mach_port_t _local_target;
            t4K _local_data;
            kern_return_t _return;
            unsigned *_t36_internal;
            flick_unsigned16_t _t37_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t36_internal = (unsigned *)_local_data;
            _t37_array_length = 1024;
            flick_mach3mig_array_decode_new_glob(4100);
            flick_mach3mig_array_decode_new_chunk(4100);
            flick_mach3mig_array_decode_signed32_type(0, _t37_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(4, _t36_internal, 4 * _t37_array_length);
            flick_mach3mig_decode_end_chunk(4100);
            flick_mach3mig_decode_end_glob(4100);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_4K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 123108;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123009:
        {
          {
            mach_port_t _local_target;
            t8K _local_data;
            kern_return_t _return;
            unsigned *_t38_internal;
            flick_unsigned16_t _t39_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t38_internal = (unsigned *)_local_data;
            _t39_array_length = 2048;
            flick_mach3mig_array_decode_new_glob(8196);
            flick_mach3mig_array_decode_new_chunk(8196);
            flick_mach3mig_array_decode_signed32_type(0, _t39_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(4, _t38_internal, 4 * _t39_array_length);
            flick_mach3mig_decode_end_chunk(8196);
            flick_mach3mig_decode_end_glob(8196);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_8K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 123109;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123010:
        {
          {
            mach_port_t _local_target;
            t16K _local_data;
            kern_return_t _return;
            unsigned *_t40_internal;
            flick_unsigned16_t _t41_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t40_internal = (unsigned *)_local_data;
            _t41_array_length = 4096;
            flick_mach3mig_array_decode_new_glob(16396);
            flick_mach3mig_array_decode_new_chunk(16396);
            flick_mach3mig_array_decode_signed32_type(0, _t41_array_length, 1, _long_type);
            flick_mach3mig_array_decode_bcopy(12, _t40_internal, 4 * _t41_array_length);
            flick_mach3mig_decode_end_chunk(16396);
            flick_mach3mig_decode_end_glob(16396);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_16K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 123110;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123011:
        {
          {
            mach_port_t _local_target;
            t32K _local_data;
            kern_return_t _return;
            unsigned *_t42_internal;
            flick_unsigned16_t _t43_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t42_internal = (unsigned *)_local_data;
            _t43_array_length = 8192;
            flick_mach3mig_array_decode_new_glob(32780);
            flick_mach3mig_array_decode_new_chunk(32780);
            flick_mach3mig_array_decode_signed32_type(0, _t43_array_length, 1, _long_type);
            flick_mach3mig_array_decode_bcopy(12, _t42_internal, 4 * _t43_array_length);
            flick_mach3mig_decode_end_chunk(32780);
            flick_mach3mig_decode_end_glob(32780);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_32K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 123111;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123012:
        {
          {
            mach_port_t _local_target;
            t64K _local_data;
            kern_return_t _return;
            unsigned *_t44_internal;
            flick_unsigned16_t _t45_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t44_internal = (unsigned *)_local_data;
            _t45_array_length = 16384;
            flick_mach3mig_array_decode_new_glob(65548);
            flick_mach3mig_array_decode_new_chunk(65548);
            flick_mach3mig_array_decode_signed32_type(0, _t45_array_length, 1, _long_type);
            flick_mach3mig_array_decode_bcopy(12, _t44_internal, 4 * _t45_array_length);
            flick_mach3mig_decode_end_chunk(65548);
            flick_mach3mig_decode_end_glob(65548);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 123112;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, mach3mig, mach3mig);
          break;
        }
      }
  }
  return 1;
}
