#include "parm_-client.h"

void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const struct FStruct *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->a);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->a);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const struct VStruct *_data)
{
  flick_mach3mig_encode_longstring(_data->a, null_flick_free, mach3mig);
}

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_mach3mig_decode_longstring(_data->a, CORBA_flick_alloc, mach3mig);
}

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const struct FUnion *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->_d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->_u.x);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    default:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_char8(0, _data->_u.z);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->_d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->_u.x);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    default:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_char8(0, _data->_u.z);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const struct VUnion *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->_d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_encode_end_glob(16);
        flick_mach3mig_encode_longstring(_data->_u.a, null_flick_free, mach3mig);
        break;
      }
    default:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_char8(0, _data->_u.z);
        flick_mach3mig_encode_end_chunk(8);
        flick_mach3mig_encode_end_glob(16);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->_d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_decode_end_glob(16);
        flick_mach3mig_decode_longstring(_data->_u.a, CORBA_flick_alloc, mach3mig);
        break;
      }
    default:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_char8(0, _data->_u.z);
        flick_mach3mig_decode_end_chunk(8);
        flick_mach3mig_decode_end_glob(16);
        break;
      }
    }
}

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data)
{
  flick_mach3mig_array_encode_new_glob(44);
  flick_mach3mig_array_encode_new_chunk(44);
  flick_mach3mig_array_encode_signed32_type(0, 10, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, *_data, 4 * 10);
  flick_mach3mig_encode_end_chunk(44);
  flick_mach3mig_encode_end_glob(44);
}

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned8_t _t0_array_length;

  _t0_array_length = 10;
  flick_mach3mig_array_decode_new_glob(44);
  flick_mach3mig_array_decode_new_chunk(44);
  flick_mach3mig_array_decode_signed32_type(0, _t0_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, *_data, 4 * _t0_array_length);
  flick_mach3mig_decode_end_chunk(44);
  flick_mach3mig_decode_end_glob(44);
}

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data)
{
  flick_mach3mig_encode_new_glob(52);
  flick_mach3mig_encode_new_chunk(12 + 4 * _data->_length);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed32_type(8, _data->_length, 1, _type);
  if (_data->_length > (unsigned int) 10)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_encode_bcopy(12, _data->_buffer, 4 * _data->_length);
  flick_mach3mig_array_encode_end_chunk(12 + 4 * _data->_length);
  flick_mach3mig_encode_end_glob(52);
}

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  flick_mach3mig_decode_new_glob(52);
  flick_mach3mig_decode_new_chunk(12);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  flick_mach3mig_array_decode_signed32_type(8, _data->_length, 1, _type);
  if (_data->_length > (unsigned int) 10)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_decode_end_chunk(12);
  flick_mach3mig_array_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_mach3mig_array_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_mach3mig_array_decode_end_chunk(4 * _data->_length);
  flick_mach3mig_decode_end_glob(52);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

CORBA_short test_Short(test _obj, CORBA_short a, CORBA_short *b, CORBA_short *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_short _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 'h');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 'r');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(56, a);
    flick_mach3mig_encode_signed16(64, *b);
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t9_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t9_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t9_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t10_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t10_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t10_switch_tag)
            {
            case '$':
              {
                char _t11_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t11_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t11_switch_tag)
                  {
                  case 'S':
                    {
                      char _t12_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t12_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t12_switch_tag)
                        {
                        case 'h':
                          {
                            char _t13_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t13_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t13_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t14_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t14_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t14_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t15_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t15_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t15_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t16_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t16_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t16_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(24);
                                                          flick_mach3mig_decode_signed16(0, _return);
                                                          flick_mach3mig_decode_signed16(8, *b);
                                                          flick_mach3mig_decode_signed16(16, *c);
                                                          flick_mach3mig_decode_end_chunk(24);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long test_Long(test _obj, CORBA_long a, CORBA_long *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 5);
    flick_mach3mig_encode_char8(8, 'L');
    flick_mach3mig_encode_char8(16, 'o');
    flick_mach3mig_encode_char8(24, 'n');
    flick_mach3mig_encode_char8(32, 'g');
    flick_mach3mig_encode_char8(40, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(48, a);
    flick_mach3mig_encode_signed32(56, *b);
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t24_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t24_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t24_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t25_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t25_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t25_switch_tag)
            {
            case '$':
              {
                char _t26_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t26_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t26_switch_tag)
                  {
                  case 'L':
                    {
                      char _t27_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t27_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t27_switch_tag)
                        {
                        case 'o':
                          {
                            char _t28_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t28_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t28_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t29_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t29_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t29_switch_tag)
                                    {
                                    case 'g':
                                      {
                                        char _t30_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t30_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t30_switch_tag)
                                          {
                                          case 0:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_major)
                                                {
                                                case CORBA_NO_EXCEPTION:
                                                  {
                                                    /* Begin decode phase on parameters */
                                                    flick_mach3mig_decode_new_chunk(24);
                                                    flick_mach3mig_decode_signed32(0, _return);
                                                    flick_mach3mig_decode_signed32(8, *b);
                                                    flick_mach3mig_decode_signed32(16, *c);
                                                    flick_mach3mig_decode_end_chunk(24);
                                                    break;
                                                  }
                                                case CORBA_SYSTEM_EXCEPTION:
                                                  {
                                                    flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(88);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_unsigned_short test_UShort(test _obj, CORBA_unsigned_short a, CORBA_unsigned_short *b, CORBA_unsigned_short *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_unsigned_short _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(80);
    flick_mach3mig_encode_new_chunk(80);
    flick_mach3mig_encode_unsigned32(0, 7);
    flick_mach3mig_encode_char8(8, 'U');
    flick_mach3mig_encode_char8(16, 'S');
    flick_mach3mig_encode_char8(24, 'h');
    flick_mach3mig_encode_char8(32, 'o');
    flick_mach3mig_encode_char8(40, 'r');
    flick_mach3mig_encode_char8(48, 't');
    flick_mach3mig_encode_char8(56, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned16(64, a);
    flick_mach3mig_encode_unsigned16(72, *b);
    flick_mach3mig_encode_end_chunk(80);
    flick_mach3mig_encode_end_glob(80);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t40_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t40_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t40_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t41_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t41_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t41_switch_tag)
            {
            case '$':
              {
                char _t42_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t42_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t42_switch_tag)
                  {
                  case 'U':
                    {
                      char _t43_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t43_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t43_switch_tag)
                        {
                        case 'S':
                          {
                            char _t44_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t44_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t44_switch_tag)
                              {
                              case 'h':
                                {
                                  char _t45_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t45_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t45_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t46_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t46_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t46_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t47_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t47_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t47_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t48_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t48_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t48_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _ev->_major);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_ev->_major)
                                                            {
                                                            case CORBA_NO_EXCEPTION:
                                                              {
                                                                /* Begin decode phase on parameters */
                                                                flick_mach3mig_decode_new_chunk(24);
                                                                flick_mach3mig_decode_unsigned16(0, _return);
                                                                flick_mach3mig_decode_unsigned16(8, *b);
                                                                flick_mach3mig_decode_unsigned16(16, *c);
                                                                flick_mach3mig_decode_end_chunk(24);
                                                                break;
                                                              }
                                                            case CORBA_SYSTEM_EXCEPTION:
                                                              {
                                                                flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(104);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_unsigned_long test_ULong(test _obj, CORBA_unsigned_long a, CORBA_unsigned_long *b, CORBA_unsigned_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_unsigned_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'U');
    flick_mach3mig_encode_char8(16, 'L');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 'n');
    flick_mach3mig_encode_char8(40, 'g');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(56, a);
    flick_mach3mig_encode_unsigned32(64, *b);
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t57_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t57_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t57_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t58_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t58_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t58_switch_tag)
            {
            case '$':
              {
                char _t59_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t59_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t59_switch_tag)
                  {
                  case 'U':
                    {
                      char _t60_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t60_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t60_switch_tag)
                        {
                        case 'L':
                          {
                            char _t61_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t61_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t61_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t62_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t62_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t62_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t63_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t63_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t63_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t64_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t64_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t64_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(24);
                                                          flick_mach3mig_decode_unsigned32(0, _return);
                                                          flick_mach3mig_decode_unsigned32(8, *b);
                                                          flick_mach3mig_decode_unsigned32(16, *c);
                                                          flick_mach3mig_decode_end_chunk(24);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_float test_Float(test _obj, CORBA_float a, CORBA_float *b, CORBA_float *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_float _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'F');
    flick_mach3mig_encode_char8(16, 'l');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 'a');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_float32(56, a);
    flick_mach3mig_encode_float32(64, *b);
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t73_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t73_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t73_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t74_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t74_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t74_switch_tag)
            {
            case '$':
              {
                char _t75_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t75_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t75_switch_tag)
                  {
                  case 'F':
                    {
                      char _t76_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t76_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t76_switch_tag)
                        {
                        case 'l':
                          {
                            char _t77_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t77_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t77_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t78_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t78_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t78_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t79_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t79_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t79_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t80_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t80_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t80_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(24);
                                                          flick_mach3mig_decode_float32(0, _return);
                                                          flick_mach3mig_decode_float32(8, *b);
                                                          flick_mach3mig_decode_float32(16, *c);
                                                          flick_mach3mig_decode_end_chunk(24);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_boolean test_Boolean(test _obj, CORBA_boolean a, CORBA_boolean *b, CORBA_boolean *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_boolean _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 'B');
    flick_mach3mig_encode_char8(16, 'o');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 'l');
    flick_mach3mig_encode_char8(40, 'e');
    flick_mach3mig_encode_char8(48, 'a');
    flick_mach3mig_encode_char8(56, 'n');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_boolean(72, a);
    flick_mach3mig_encode_boolean(80, *b);
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t91_switch_tag;

    flick_mach3mig_decode_new_glob(112);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t91_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t91_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t92_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t92_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t92_switch_tag)
            {
            case '$':
              {
                char _t93_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t93_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t93_switch_tag)
                  {
                  case 'B':
                    {
                      char _t94_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t94_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t94_switch_tag)
                        {
                        case 'o':
                          {
                            char _t95_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t95_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t95_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t96_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t96_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t96_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t97_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t97_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t97_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t98_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t98_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t98_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t99_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t99_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t99_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t100_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t100_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t100_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(24);
                                                                      flick_mach3mig_decode_boolean(0, _return);
                                                                      flick_mach3mig_decode_boolean(8, *b);
                                                                      flick_mach3mig_decode_boolean(16, *c);
                                                                      flick_mach3mig_decode_end_chunk(24);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(112);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_char test_Char(test _obj, CORBA_char a, CORBA_char *b, CORBA_char *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_char _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 5);
    flick_mach3mig_encode_char8(8, 'C');
    flick_mach3mig_encode_char8(16, 'h');
    flick_mach3mig_encode_char8(24, 'a');
    flick_mach3mig_encode_char8(32, 'r');
    flick_mach3mig_encode_char8(40, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_char8(48, a);
    flick_mach3mig_encode_char8(56, *b);
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t108_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t108_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t108_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t109_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t109_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t109_switch_tag)
            {
            case '$':
              {
                char _t110_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t110_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t110_switch_tag)
                  {
                  case 'C':
                    {
                      char _t111_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t111_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t111_switch_tag)
                        {
                        case 'h':
                          {
                            char _t112_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t112_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t112_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t113_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t113_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t113_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t114_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t114_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t114_switch_tag)
                                          {
                                          case 0:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_major)
                                                {
                                                case CORBA_NO_EXCEPTION:
                                                  {
                                                    /* Begin decode phase on parameters */
                                                    flick_mach3mig_decode_new_chunk(24);
                                                    flick_mach3mig_decode_char8(0, _return);
                                                    flick_mach3mig_decode_char8(8, *b);
                                                    flick_mach3mig_decode_char8(16, *c);
                                                    flick_mach3mig_decode_end_chunk(24);
                                                    break;
                                                  }
                                                case CORBA_SYSTEM_EXCEPTION:
                                                  {
                                                    flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(88);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_octet test_Octet(test _obj, CORBA_octet a, CORBA_octet *b, CORBA_octet *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_octet _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'O');
    flick_mach3mig_encode_char8(16, 'c');
    flick_mach3mig_encode_char8(24, 't');
    flick_mach3mig_encode_char8(32, 'e');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned8(56, a);
    flick_mach3mig_encode_unsigned8(64, *b);
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t123_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t123_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t123_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t124_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t124_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t124_switch_tag)
            {
            case '$':
              {
                char _t125_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t125_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t125_switch_tag)
                  {
                  case 'O':
                    {
                      char _t126_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t126_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t126_switch_tag)
                        {
                        case 'c':
                          {
                            char _t127_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t127_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t127_switch_tag)
                              {
                              case 't':
                                {
                                  char _t128_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t128_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t128_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t129_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t129_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t129_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t130_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t130_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t130_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(24);
                                                          flick_mach3mig_decode_unsigned8(0, _return);
                                                          flick_mach3mig_decode_unsigned8(8, *b);
                                                          flick_mach3mig_decode_unsigned8(16, *c);
                                                          flick_mach3mig_decode_end_chunk(24);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

Enumeration test_Enum(test _obj, Enumeration a, Enumeration *b, Enumeration *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  Enumeration _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 5);
    flick_mach3mig_encode_char8(8, 'E');
    flick_mach3mig_encode_char8(16, 'n');
    flick_mach3mig_encode_char8(24, 'u');
    flick_mach3mig_encode_char8(32, 'm');
    flick_mach3mig_encode_char8(40, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(48, a);
    flick_mach3mig_encode_unsigned32(56, *b);
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t138_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t138_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t138_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t139_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t139_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t139_switch_tag)
            {
            case '$':
              {
                char _t140_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t140_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t140_switch_tag)
                  {
                  case 'E':
                    {
                      char _t141_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t141_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t141_switch_tag)
                        {
                        case 'n':
                          {
                            char _t142_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t142_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t142_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t143_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t143_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t143_switch_tag)
                                    {
                                    case 'm':
                                      {
                                        char _t144_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t144_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t144_switch_tag)
                                          {
                                          case 0:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_major)
                                                {
                                                case CORBA_NO_EXCEPTION:
                                                  {
                                                    /* Begin decode phase on parameters */
                                                    flick_mach3mig_decode_new_chunk(24);
                                                    flick_mach3mig_decode_unsigned32(0, _return);
                                                    flick_mach3mig_decode_unsigned32(8, *b);
                                                    flick_mach3mig_decode_unsigned32(16, *c);
                                                    flick_mach3mig_decode_end_chunk(24);
                                                    break;
                                                  }
                                                case CORBA_SYSTEM_EXCEPTION:
                                                  {
                                                    flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(88);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

struct FStruct test_FixedStruct(test _obj, struct FStruct *a, struct FStruct *b, struct FStruct *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct FStruct _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(120);
    flick_mach3mig_encode_new_chunk(120);
    flick_mach3mig_encode_unsigned32(0, 12);
    flick_mach3mig_encode_char8(8, 'F');
    flick_mach3mig_encode_char8(16, 'i');
    flick_mach3mig_encode_char8(24, 'x');
    flick_mach3mig_encode_char8(32, 'e');
    flick_mach3mig_encode_char8(40, 'd');
    flick_mach3mig_encode_char8(48, 'S');
    flick_mach3mig_encode_char8(56, 't');
    flick_mach3mig_encode_char8(64, 'r');
    flick_mach3mig_encode_char8(72, 'u');
    flick_mach3mig_encode_char8(80, 'c');
    flick_mach3mig_encode_char8(88, 't');
    flick_mach3mig_encode_char8(96, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(104, a->a);
    flick_mach3mig_encode_signed16(112, b->a);
    flick_mach3mig_encode_end_chunk(120);
    flick_mach3mig_encode_end_glob(120);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t159_switch_tag;

    flick_mach3mig_decode_new_glob(144);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t159_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t159_switch_tag)
      {
      case (unsigned int) 13:
        {
          char _t160_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t160_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t160_switch_tag)
            {
            case '$':
              {
                char _t161_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t161_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t161_switch_tag)
                  {
                  case 'F':
                    {
                      char _t162_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t162_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t162_switch_tag)
                        {
                        case 'i':
                          {
                            char _t163_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t163_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t163_switch_tag)
                              {
                              case 'x':
                                {
                                  char _t164_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t164_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t164_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t165_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t165_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t165_switch_tag)
                                          {
                                          case 'd':
                                            {
                                              char _t166_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t166_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t166_switch_tag)
                                                {
                                                case 'S':
                                                  {
                                                    char _t167_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t167_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t167_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t168_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t168_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t168_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t169_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t169_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t169_switch_tag)
                                                                  {
                                                                  case 'u':
                                                                    {
                                                                      char _t170_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t170_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t170_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t171_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t171_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t171_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t172_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t172_switch_tag);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_t172_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_ev->_major)
                                                                                          {
                                                                                          case CORBA_NO_EXCEPTION:
                                                                                            {
                                                                                              /* Begin decode phase on parameters */
                                                                                              flick_mach3mig_decode_new_chunk(24);
                                                                                              flick_mach3mig_decode_signed16(0, _return.a);
                                                                                              flick_mach3mig_decode_signed16(8, b->a);
                                                                                              flick_mach3mig_decode_signed16(16, c->a);
                                                                                              flick_mach3mig_decode_end_chunk(24);
                                                                                              break;
                                                                                            }
                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                            {
                                                                                              flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(144);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

struct VStruct *test_VarStruct(test _obj, struct VStruct *a, struct VStruct *b, struct VStruct **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct VStruct *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 'V');
    flick_mach3mig_encode_char8(16, 'a');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 'S');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, 'r');
    flick_mach3mig_encode_char8(56, 'u');
    flick_mach3mig_encode_char8(64, 'c');
    flick_mach3mig_encode_char8(72, 't');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
    flick_mach3mig_encode_longstring(a->a, null_flick_free, mach3mig);
    flick_mach3mig_encode_longstring(b->a, null_flick_free, mach3mig);
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t185_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t185_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t185_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t186_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t186_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t186_switch_tag)
            {
            case '$':
              {
                char _t187_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t187_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t187_switch_tag)
                  {
                  case 'V':
                    {
                      char _t188_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t188_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t188_switch_tag)
                        {
                        case 'a':
                          {
                            char _t189_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t189_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t189_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t190_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t190_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t190_switch_tag)
                                    {
                                    case 'S':
                                      {
                                        char _t191_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t191_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t191_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t192_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t192_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t192_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t193_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t193_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t193_switch_tag)
                                                      {
                                                      case 'u':
                                                        {
                                                          char _t194_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t194_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t194_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t195_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t195_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t195_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t196_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t196_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t196_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  _return = CORBA_flick_alloc(sizeof(struct VStruct ));
                                                                                  flick_mach3mig_decode_end_glob(104);
                                                                                  flick_mach3mig_decode_longstring(_return->a, CORBA_flick_alloc, mach3mig);
                                                                                  flick_mach3mig_decode_longstring(b->a, CORBA_flick_alloc, mach3mig);
                                                                                  *c = CORBA_flick_alloc(sizeof(struct VStruct ));
                                                                                  flick_mach3mig_decode_longstring((*c)->a, CORBA_flick_alloc, mach3mig);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(104);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(104);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(104);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(104);
          break;
        }
      }
    flick_mach3mig_decode_new_glob(3);
    flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_decode_end_chunk(0);
    flick_mach3mig_decode_end_glob(3);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

struct FUnion test_FixedUnion(test _obj, struct FUnion *a, struct FUnion *b, struct FUnion *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct FUnion _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(128);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 11);
    flick_mach3mig_encode_char8(8, 'F');
    flick_mach3mig_encode_char8(16, 'i');
    flick_mach3mig_encode_char8(24, 'x');
    flick_mach3mig_encode_char8(32, 'e');
    flick_mach3mig_encode_char8(40, 'd');
    flick_mach3mig_encode_char8(48, 'U');
    flick_mach3mig_encode_char8(56, 'n');
    flick_mach3mig_encode_char8(64, 'i');
    flick_mach3mig_encode_char8(72, 'o');
    flick_mach3mig_encode_char8(80, 'n');
    flick_mach3mig_encode_char8(88, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(96, a->_d);
    flick_mach3mig_encode_end_chunk(104);
    switch (a->_d)
      {
      case 1:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed32(0, a->_u.x);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      default:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_char8(0, a->_u.z);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      }
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, b->_d);
    flick_mach3mig_encode_end_chunk(8);
    switch (b->_d)
      {
      case 1:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed32(0, b->_u.x);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      default:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_char8(0, b->_u.z);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      }
    flick_mach3mig_encode_end_glob(128);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t210_switch_tag;

    flick_mach3mig_decode_new_glob(160);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t210_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t210_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t211_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t211_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t211_switch_tag)
            {
            case '$':
              {
                char _t212_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t212_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t212_switch_tag)
                  {
                  case 'F':
                    {
                      char _t213_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t213_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t213_switch_tag)
                        {
                        case 'i':
                          {
                            char _t214_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t214_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t214_switch_tag)
                              {
                              case 'x':
                                {
                                  char _t215_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t215_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t215_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t216_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t216_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t216_switch_tag)
                                          {
                                          case 'd':
                                            {
                                              char _t217_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t217_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t217_switch_tag)
                                                {
                                                case 'U':
                                                  {
                                                    char _t218_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t218_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t218_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t219_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t219_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t219_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t220_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t220_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t220_switch_tag)
                                                                  {
                                                                  case 'o':
                                                                    {
                                                                      char _t221_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t221_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t221_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t222_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t222_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t222_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        /* Begin decode phase on parameters */
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _return._d);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_return._d)
                                                                                          {
                                                                                          case 1:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_signed32(0, _return._u.x);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_char8(0, _return._u.z);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, b->_d);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (b->_d)
                                                                                          {
                                                                                          case 1:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_signed32(0, b->_u.x);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_char8(0, b->_u.z);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, c->_d);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (c->_d)
                                                                                          {
                                                                                          case 1:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_signed32(0, c->_u.x);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_char8(0, c->_u.z);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(160);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

struct VUnion *test_VarUnion(test _obj, struct VUnion *a, struct VUnion *b, struct VUnion **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct VUnion *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(96);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 'V');
    flick_mach3mig_encode_char8(16, 'a');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 'U');
    flick_mach3mig_encode_char8(40, 'n');
    flick_mach3mig_encode_char8(48, 'i');
    flick_mach3mig_encode_char8(56, 'o');
    flick_mach3mig_encode_char8(64, 'n');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(80, a->_d);
    flick_mach3mig_encode_end_chunk(88);
    switch (a->_d)
      {
      case 1:
        {
          flick_mach3mig_encode_end_glob(96);
          flick_mach3mig_encode_longstring(a->_u.a, null_flick_free, mach3mig);
          break;
        }
      default:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_char8(0, a->_u.z);
          flick_mach3mig_encode_end_chunk(8);
          flick_mach3mig_encode_end_glob(96);
          break;
        }
      }
    flick_mach3mig_encode_new_glob(19);
    flick_mach3mig_encode_new_chunk_align(8, 2, 0, 0);
    flick_mach3mig_encode_signed32(0, b->_d);
    flick_mach3mig_encode_end_chunk(8);
    switch (b->_d)
      {
      case 1:
        {
          flick_mach3mig_encode_end_glob(19);
          flick_mach3mig_encode_longstring(b->_u.a, null_flick_free, mach3mig);
          break;
        }
      default:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_char8(0, b->_u.z);
          flick_mach3mig_encode_end_chunk(8);
          flick_mach3mig_encode_end_glob(19);
          break;
        }
      }
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t234_switch_tag;

    flick_mach3mig_decode_new_glob(112);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t234_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t234_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t235_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t235_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t235_switch_tag)
            {
            case '$':
              {
                char _t236_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t236_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t236_switch_tag)
                  {
                  case 'V':
                    {
                      char _t237_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t237_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t237_switch_tag)
                        {
                        case 'a':
                          {
                            char _t238_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t238_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t238_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t239_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t239_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t239_switch_tag)
                                    {
                                    case 'U':
                                      {
                                        char _t240_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t240_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t240_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t241_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t241_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t241_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t242_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t242_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t242_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t243_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t243_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t243_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t244_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t244_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t244_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            /* Begin decode phase on parameters */
                                                                            _return = CORBA_flick_alloc(sizeof(struct VUnion ));
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _return->_d);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_return->_d)
                                                                              {
                                                                              case 1:
                                                                                {
                                                                                  flick_mach3mig_decode_end_glob(112);
                                                                                  flick_mach3mig_decode_longstring(_return->_u.a, CORBA_flick_alloc, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _return->_u.z);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  flick_mach3mig_decode_end_glob(112);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            flick_mach3mig_decode_new_glob(19);
                                                                            flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
                                                                            flick_mach3mig_decode_signed32(0, b->_d);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (b->_d)
                                                                              {
                                                                              case 1:
                                                                                {
                                                                                  flick_mach3mig_decode_end_glob(19);
                                                                                  flick_mach3mig_decode_longstring(b->_u.a, CORBA_flick_alloc, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, b->_u.z);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  flick_mach3mig_decode_end_glob(19);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            *c = CORBA_flick_alloc(sizeof(struct VUnion ));
                                                                            flick_mach3mig_decode_new_glob(19);
                                                                            flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
                                                                            flick_mach3mig_decode_signed32(0, (*c)->_d);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch ((*c)->_d)
                                                                              {
                                                                              case 1:
                                                                                {
                                                                                  flick_mach3mig_decode_end_glob(19);
                                                                                  flick_mach3mig_decode_longstring((*c)->_u.a, CORBA_flick_alloc, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, (*c)->_u.z);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  flick_mach3mig_decode_end_glob(19);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(112);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(112);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(112);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(112);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(112);
          break;
        }
      }
    flick_mach3mig_decode_new_glob(3);
    flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_decode_end_chunk(0);
    flick_mach3mig_decode_end_glob(3);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_char *test_String(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_char *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 7);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 't');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 'i');
    flick_mach3mig_encode_char8(40, 'n');
    flick_mach3mig_encode_char8(48, 'g');
    flick_mach3mig_encode_char8(56, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
    flick_mach3mig_encode_longstring(a, null_flick_free, mach3mig);
    flick_mach3mig_encode_longstring(*b, CORBA_flick_free, mach3mig);
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t254_switch_tag;

    flick_mach3mig_decode_new_glob(80);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t254_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t254_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t255_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t255_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t255_switch_tag)
            {
            case '$':
              {
                char _t256_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t256_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t256_switch_tag)
                  {
                  case 'S':
                    {
                      char _t257_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t257_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t257_switch_tag)
                        {
                        case 't':
                          {
                            char _t258_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t258_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t258_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t259_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t259_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t259_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t260_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t260_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t260_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t261_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t261_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t261_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t262_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t262_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t262_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _ev->_major);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_ev->_major)
                                                            {
                                                            case CORBA_NO_EXCEPTION:
                                                              {
                                                                /* Begin decode phase on parameters */
                                                                flick_mach3mig_decode_end_glob(80);
                                                                flick_mach3mig_decode_longstring(_return, CORBA_flick_alloc, mach3mig);
                                                                flick_mach3mig_decode_longstring(*b, CORBA_flick_alloc, mach3mig);
                                                                flick_mach3mig_decode_longstring(*c, CORBA_flick_alloc, mach3mig);
                                                                break;
                                                              }
                                                            case CORBA_SYSTEM_EXCEPTION:
                                                              {
                                                                flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(80);
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(80);
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(80);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(80);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(80);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(80);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(80);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(80);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(80);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(80);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(80);
          break;
        }
      }
    flick_mach3mig_decode_new_glob(3);
    flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_decode_end_chunk(0);
    flick_mach3mig_decode_end_glob(3);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_char *test_BoundString(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_char *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 12);
    flick_mach3mig_encode_char8(8, 'B');
    flick_mach3mig_encode_char8(16, 'o');
    flick_mach3mig_encode_char8(24, 'u');
    flick_mach3mig_encode_char8(32, 'n');
    flick_mach3mig_encode_char8(40, 'd');
    flick_mach3mig_encode_char8(48, 'S');
    flick_mach3mig_encode_char8(56, 't');
    flick_mach3mig_encode_char8(64, 'r');
    flick_mach3mig_encode_char8(72, 'i');
    flick_mach3mig_encode_char8(80, 'n');
    flick_mach3mig_encode_char8(88, 'g');
    flick_mach3mig_encode_char8(96, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(104);
    flick_mach3mig_encode_end_glob(104);
    flick_mach3mig_encode_alloced_string(a, mach3mig, 20);
    flick_mach3mig_encode_string(*b, CORBA_flick_free, mach3mig, 20);
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t277_switch_tag;

    flick_mach3mig_decode_new_glob(120);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t277_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t277_switch_tag)
      {
      case (unsigned int) 13:
        {
          char _t278_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t278_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t278_switch_tag)
            {
            case '$':
              {
                char _t279_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t279_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t279_switch_tag)
                  {
                  case 'B':
                    {
                      char _t280_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t280_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t280_switch_tag)
                        {
                        case 'o':
                          {
                            char _t281_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t281_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t281_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t282_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t282_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t282_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t283_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t283_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t283_switch_tag)
                                          {
                                          case 'd':
                                            {
                                              char _t284_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t284_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t284_switch_tag)
                                                {
                                                case 'S':
                                                  {
                                                    char _t285_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t285_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t285_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t286_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t286_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t286_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t287_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t287_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t287_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t288_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t288_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t288_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t289_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t289_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t289_switch_tag)
                                                                              {
                                                                              case 'g':
                                                                                {
                                                                                  char _t290_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t290_switch_tag);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_t290_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_ev->_major)
                                                                                          {
                                                                                          case CORBA_NO_EXCEPTION:
                                                                                            {
                                                                                              /* Begin decode phase on parameters */
                                                                                              flick_mach3mig_decode_end_glob(120);
                                                                                              flick_mach3mig_decode_string(_return, CORBA_flick_alloc, mach3mig, 20);
                                                                                              flick_mach3mig_decode_string(*b, CORBA_flick_alloc, mach3mig, 20);
                                                                                              flick_mach3mig_decode_string(*c, CORBA_flick_alloc, mach3mig, 20);
                                                                                              break;
                                                                                            }
                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                            {
                                                                                              flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                              flick_mach3mig_decode_end_glob(120);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                              flick_mach3mig_decode_end_glob(120);
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(120);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(120);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(120);
          break;
        }
      }
    flick_mach3mig_decode_new_glob(3);
    flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_decode_end_chunk(0);
    flick_mach3mig_decode_end_glob(3);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

test_arr_slice *test_Array(test _obj, test_arr a, test_arr b, test_arr c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  test_arr_slice *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(144);
    flick_mach3mig_encode_new_chunk(144);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'A');
    flick_mach3mig_encode_char8(16, 'r');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 'a');
    flick_mach3mig_encode_char8(40, 'y');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_signed32_type(56, 10, 1, _type);
    flick_mach3mig_array_encode_bcopy(60, a, 4 * 10);
    flick_mach3mig_array_encode_signed32_type(100, 10, 1, _type);
    flick_mach3mig_array_encode_bcopy(104, b, 4 * 10);
    flick_mach3mig_encode_end_chunk(144);
    flick_mach3mig_encode_end_glob(144);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t305_switch_tag;

    flick_mach3mig_decode_new_glob(204);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t305_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t305_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t306_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t306_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t306_switch_tag)
            {
            case '$':
              {
                char _t307_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t307_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t307_switch_tag)
                  {
                  case 'A':
                    {
                      char _t308_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t308_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t308_switch_tag)
                        {
                        case 'r':
                          {
                            char _t309_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t309_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t309_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t310_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t310_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t310_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t311_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t311_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t311_switch_tag)
                                          {
                                          case 'y':
                                            {
                                              char _t312_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t312_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t312_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          flick_unsigned8_t _t316_array_length;
                                                          flick_unsigned8_t _t317_array_length;
                                                          flick_unsigned8_t _t318_array_length;

                                                          /* Begin decode phase on parameters */
                                                          _t316_array_length = 10;
                                                          flick_mach3mig_array_decode_new_chunk(132);
                                                          flick_mach3mig_array_decode_signed32_type(0, _t316_array_length, 1, _type);
                                                          _return = CORBA_flick_alloc(_t316_array_length * sizeof(CORBA_long ));
                                                          flick_mach3mig_array_decode_bcopy(4, _return, 4 * _t316_array_length);
                                                          _t317_array_length = 10;
                                                          flick_mach3mig_array_decode_signed32_type(44, _t317_array_length, 1, _type);
                                                          flick_mach3mig_array_decode_bcopy(48, b, 4 * _t317_array_length);
                                                          _t318_array_length = 10;
                                                          flick_mach3mig_array_decode_signed32_type(88, _t318_array_length, 1, _type);
                                                          flick_mach3mig_array_decode_bcopy(92, c, 4 * _t318_array_length);
                                                          flick_mach3mig_decode_end_chunk(132);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(204);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

test_seq *test_Sequence(test _obj, test_seq *a, test_seq *b, test_seq **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  test_seq *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(184);
    flick_mach3mig_encode_new_chunk(92 + 4 * a->_length);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 'q');
    flick_mach3mig_encode_char8(32, 'u');
    flick_mach3mig_encode_char8(40, 'e');
    flick_mach3mig_encode_char8(48, 'n');
    flick_mach3mig_encode_char8(56, 'c');
    flick_mach3mig_encode_char8(64, 'e');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(80, a->_length);
    flick_mach3mig_array_encode_signed32_type(88, a->_length, 1, _type);
    if (a->_length > (unsigned int) 10)
      return MIG_ARRAY_TOO_LARGE;
    flick_mach3mig_array_encode_bcopy(92, a->_buffer, 4 * a->_length);
    flick_mach3mig_array_encode_end_chunk(92 + 4 * a->_length);
    flick_mach3mig_encode_new_chunk(12 + 4 * b->_length);
    flick_mach3mig_encode_unsigned32(0, b->_length);
    flick_mach3mig_array_encode_signed32_type(8, b->_length, 1, _type);
    if (b->_length > (unsigned int) 10)
      return MIG_ARRAY_TOO_LARGE;
    flick_mach3mig_array_encode_bcopy(12, b->_buffer, 4 * b->_length);
    flick_mach3mig_array_encode_end_chunk(12 + 4 * b->_length);
    flick_mach3mig_encode_end_glob(184);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t330_switch_tag;

    flick_mach3mig_decode_new_glob(252);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t330_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t330_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t331_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t331_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t331_switch_tag)
            {
            case '$':
              {
                char _t332_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t332_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t332_switch_tag)
                  {
                  case 'S':
                    {
                      char _t333_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t333_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t333_switch_tag)
                        {
                        case 'e':
                          {
                            char _t334_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t334_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t334_switch_tag)
                              {
                              case 'q':
                                {
                                  char _t335_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t335_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t335_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t336_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t336_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t336_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t337_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t337_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t337_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t338_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t338_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t338_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t339_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t339_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t339_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t340_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t340_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t340_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            /* Begin decode phase on parameters */
                                                                            _return = CORBA_flick_alloc(sizeof(test_seq ));
                                                                            flick_mach3mig_decode_new_chunk(12);
                                                                            flick_mach3mig_decode_unsigned32(0, _return->_length);
                                                                            flick_mach3mig_array_decode_signed32_type(8, _return->_length, 1, _type);
                                                                            if (_return->_length > (unsigned int) 10)
                                                                              return MIG_ARRAY_TOO_LARGE;
                                                                            flick_mach3mig_array_decode_end_chunk(12);
                                                                            flick_mach3mig_array_decode_new_chunk(4 * _return->_length);
                                                                            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
                                                                            flick_mach3mig_array_decode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                                                            flick_mach3mig_array_decode_end_chunk(4 * _return->_length);
                                                                            flick_mach3mig_decode_new_chunk(12);
                                                                            flick_mach3mig_decode_unsigned32(0, b->_length);
                                                                            flick_mach3mig_array_decode_signed32_type(8, b->_length, 1, _type);
                                                                            if (b->_length > (unsigned int) 10)
                                                                              return MIG_ARRAY_TOO_LARGE;
                                                                            flick_mach3mig_array_decode_end_chunk(12);
                                                                            flick_mach3mig_array_decode_new_chunk(4 * b->_length);
                                                                            b->_buffer = CORBA_flick_alloc(b->_length * sizeof(CORBA_long ));
                                                                            flick_mach3mig_array_decode_bcopy(0, b->_buffer, 4 * b->_length);
                                                                            flick_mach3mig_array_decode_end_chunk(4 * b->_length);
                                                                            *c = CORBA_flick_alloc(sizeof(test_seq ));
                                                                            flick_mach3mig_decode_new_chunk(12);
                                                                            flick_mach3mig_decode_unsigned32(0, (*c)->_length);
                                                                            flick_mach3mig_array_decode_signed32_type(8, (*c)->_length, 1, _type);
                                                                            if ((*c)->_length > (unsigned int) 10)
                                                                              return MIG_ARRAY_TOO_LARGE;
                                                                            flick_mach3mig_array_decode_end_chunk(12);
                                                                            flick_mach3mig_array_decode_new_chunk(4 * (*c)->_length);
                                                                            (*c)->_buffer = CORBA_flick_alloc((*c)->_length * sizeof(CORBA_long ));
                                                                            flick_mach3mig_array_decode_bcopy(0, (*c)->_buffer, 4 * (*c)->_length);
                                                                            flick_mach3mig_array_decode_end_chunk(4 * (*c)->_length);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(252);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

