#include "program-5-client.h"

void flick_marshal_stub_mystruct(flick_marshal_stream_t _stream, const struct mystruct *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->mystruct);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_mystruct(flick_marshal_stream_t _stream, struct mystruct *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->mystruct);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

int *op_1(char **arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    _stream->msg_buf->Head.msgh_id = 10;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_longstring(*arg, null_flick_free, mach3mig);
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t3_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t3_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t3_switch_tag)
      {
      case (signed int) 1034:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t5_storage;

                /* Begin decode phase on parameters */
                _return = &_t5_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

