#include "sequence-client.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  flick_mach3mig_encode_new_glob(52);
  flick_mach3mig_encode_new_chunk(12 + 4 * _data->_length);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed32_type(8, _data->_length, 1, _type);
  if (_data->_length > (unsigned int) 10)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_encode_bcopy(12, _data->_buffer, 4 * _data->_length);
  flick_mach3mig_array_encode_end_chunk(12 + 4 * _data->_length);
  flick_mach3mig_encode_end_glob(52);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  flick_mach3mig_decode_new_glob(52);
  flick_mach3mig_decode_new_chunk(12);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  flick_mach3mig_array_decode_signed32_type(8, _data->_length, 1, _type);
  if (_data->_length > (unsigned int) 10)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_decode_end_chunk(12);
  flick_mach3mig_array_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_mach3mig_array_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_mach3mig_array_decode_end_chunk(4 * _data->_length);
  flick_mach3mig_decode_end_glob(52);
}

void flick_marshal_stub_puke(flick_marshal_stream_t _stream, const puke *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->reason);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_puke(flick_marshal_stream_t _stream, puke *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->reason);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

vec10 *TestSeq_op(TestSeq _obj, vec10 *iv, vec10 **ov, vec10 *iov, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  vec10 *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(136);
    flick_mach3mig_encode_new_chunk(44 + 4 * iv->_length);
    flick_mach3mig_encode_unsigned32(0, 3);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(32, iv->_length);
    flick_mach3mig_array_encode_signed32_type(40, iv->_length, 1, _type);
    if (iv->_length > (unsigned int) 10)
      return MIG_ARRAY_TOO_LARGE;
    flick_mach3mig_array_encode_bcopy(44, iv->_buffer, 4 * iv->_length);
    flick_mach3mig_array_encode_end_chunk(44 + 4 * iv->_length);
    flick_mach3mig_encode_new_chunk(12 + 4 * iov->_length);
    flick_mach3mig_encode_unsigned32(0, iov->_length);
    flick_mach3mig_array_encode_signed32_type(8, iov->_length, 1, _type);
    if (iov->_length > (unsigned int) 10)
      return MIG_ARRAY_TOO_LARGE;
    flick_mach3mig_array_encode_bcopy(12, iov->_buffer, 4 * iov->_length);
    flick_mach3mig_array_encode_end_chunk(12 + 4 * iov->_length);
    flick_mach3mig_encode_end_glob(136);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t5_switch_tag;

    flick_mach3mig_decode_new_glob(204);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t5_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t5_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t6_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t6_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t6_switch_tag)
            {
            case '$':
              {
                char _t7_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t7_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t7_switch_tag)
                  {
                  case 'o':
                    {
                      char _t8_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t8_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t8_switch_tag)
                        {
                        case 'p':
                          {
                            char _t9_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t9_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t9_switch_tag)
                              {
                              case 0:
                                {
                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_ev->_major)
                                    {
                                    case CORBA_NO_EXCEPTION:
                                      {
                                        /* Begin decode phase on parameters */
                                        _return = CORBA_flick_alloc(sizeof(vec10 ));
                                        flick_mach3mig_decode_new_chunk(12);
                                        flick_mach3mig_decode_unsigned32(0, _return->_length);
                                        flick_mach3mig_array_decode_signed32_type(8, _return->_length, 1, _type);
                                        if (_return->_length > (unsigned int) 10)
                                          return MIG_ARRAY_TOO_LARGE;
                                        flick_mach3mig_array_decode_end_chunk(12);
                                        flick_mach3mig_array_decode_new_chunk(4 * _return->_length);
                                        _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
                                        flick_mach3mig_array_decode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                        flick_mach3mig_array_decode_end_chunk(4 * _return->_length);
                                        *ov = CORBA_flick_alloc(sizeof(vec10 ));
                                        flick_mach3mig_decode_new_chunk(12);
                                        flick_mach3mig_decode_unsigned32(0, (*ov)->_length);
                                        flick_mach3mig_array_decode_signed32_type(8, (*ov)->_length, 1, _type);
                                        if ((*ov)->_length > (unsigned int) 10)
                                          return MIG_ARRAY_TOO_LARGE;
                                        flick_mach3mig_array_decode_end_chunk(12);
                                        flick_mach3mig_array_decode_new_chunk(4 * (*ov)->_length);
                                        (*ov)->_buffer = CORBA_flick_alloc((*ov)->_length * sizeof(CORBA_long ));
                                        flick_mach3mig_array_decode_bcopy(0, (*ov)->_buffer, 4 * (*ov)->_length);
                                        flick_mach3mig_array_decode_end_chunk(4 * (*ov)->_length);
                                        flick_mach3mig_decode_new_chunk(12);
                                        flick_mach3mig_decode_unsigned32(0, iov->_length);
                                        flick_mach3mig_array_decode_signed32_type(8, iov->_length, 1, _type);
                                        if (iov->_length > (unsigned int) 10)
                                          return MIG_ARRAY_TOO_LARGE;
                                        flick_mach3mig_array_decode_end_chunk(12);
                                        flick_mach3mig_array_decode_new_chunk(4 * iov->_length);
                                        iov->_buffer = CORBA_flick_alloc(iov->_length * sizeof(CORBA_long ));
                                        flick_mach3mig_array_decode_bcopy(0, iov->_buffer, 4 * iov->_length);
                                        flick_mach3mig_array_decode_end_chunk(4 * iov->_length);
                                        break;
                                      }
                                    case CORBA_SYSTEM_EXCEPTION:
                                      {
                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                        break;
                                      }
                                    default:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_atomic_user_id);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_atomic_user_id)
                                          {
                                          case 0:
                                            {
                                              (puke *)(_ev->_except) = CORBA_flick_alloc(sizeof(puke ));
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, ((puke *)(_ev->_except))->reason);
                                              flick_mach3mig_decode_end_chunk(8);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(204);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

