#include "unionplain_-client.h"

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->_d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->_u.x);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 2:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed16(0, _data->_u.y);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    default:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_char8(0, _data->_u.z);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->_d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->_u.x);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 2:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed16(0, _data->_u.y);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    default:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_char8(0, _data->_u.z);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, _data->_d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->_u.x);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 'b':
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed16(0, _data->_u.y);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 'c':
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_char8(0, _data->_u.z);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
        break;
      }
    }
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, _data->_d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->_u.x);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 'b':
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed16(0, _data->_u.y);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 'c':
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_char8(0, _data->_u.z);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
        break;
      }
    }
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_Foo3(flick_marshal_stream_t _stream, const struct Foo3 *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->_d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->_d)
    {
    case -1:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed16(0, _data->_u.a);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 50:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->_u.b);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    default:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_char8(0, _data->_u.c);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_Foo3(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->_d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->_d)
    {
    case -1:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed16(0, _data->_u.a);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 50:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->_u.b);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    default:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_char8(0, _data->_u.c);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_Foo4(flick_marshal_stream_t _stream, const struct Foo4 *_data)
{
  flick_mach3mig_encode_new_glob(60);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->_d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_encode_end_glob(60);
        flick_mach3mig_encode_longstring(_data->_u.a, null_flick_free, mach3mig);
        break;
      }
    case 2:
      {
        flick_mach3mig_encode_new_chunk(12 + 4 * _data->_u.b._length);
        flick_mach3mig_encode_unsigned32(0, _data->_u.b._length);
        flick_mach3mig_array_encode_signed32_type(8, _data->_u.b._length, 1, _type);
        if (_data->_u.b._length > (unsigned int) 10)
          return MIG_ARRAY_TOO_LARGE;
        flick_mach3mig_array_encode_bcopy(12, _data->_u.b._buffer, 4 * _data->_u.b._length);
        flick_mach3mig_array_encode_end_chunk(12 + 4 * _data->_u.b._length);
        flick_mach3mig_encode_end_glob(60);
        break;
      }
    default:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->_u.c);
        flick_mach3mig_encode_end_chunk(8);
        flick_mach3mig_encode_end_glob(60);
        break;
      }
    }
}

void flick_unmarshal_stub_Foo4(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  flick_mach3mig_decode_new_glob(60);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->_d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_decode_end_glob(60);
        flick_mach3mig_decode_longstring(_data->_u.a, CORBA_flick_alloc, mach3mig);
        break;
      }
    case 2:
      {
        flick_mach3mig_decode_new_chunk(12);
        flick_mach3mig_decode_unsigned32(0, _data->_u.b._length);
        flick_mach3mig_array_decode_signed32_type(8, _data->_u.b._length, 1, _type);
        if (_data->_u.b._length > (unsigned int) 10)
          return MIG_ARRAY_TOO_LARGE;
        flick_mach3mig_array_decode_end_chunk(12);
        flick_mach3mig_array_decode_new_chunk(4 * _data->_u.b._length);
        _data->_u.b._buffer = CORBA_flick_alloc(_data->_u.b._length * sizeof(CORBA_long ));
        flick_mach3mig_array_decode_bcopy(0, _data->_u.b._buffer, 4 * _data->_u.b._length);
        flick_mach3mig_array_decode_end_chunk(4 * _data->_u.b._length);
        flick_mach3mig_decode_end_glob(60);
        break;
      }
    default:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->_u.c);
        flick_mach3mig_decode_end_chunk(8);
        flick_mach3mig_decode_end_glob(60);
        break;
      }
    }
}

void flick_marshal_stub_un(flick_marshal_stream_t _stream, const un *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_un(flick_marshal_stream_t _stream, un *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

struct Foo un_one(un _obj, struct Foo2 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct Foo _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(56);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'n');
    flick_mach3mig_encode_char8(24, 'e');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_char8(40, a->_d);
    flick_mach3mig_encode_end_chunk(48);
    switch (a->_d)
      {
      case 'a':
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed32(0, a->_u.x);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      case 'b':
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed16(0, a->_u.y);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      case 'c':
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_char8(0, a->_u.z);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      default:
        {
          flick_corba_encode_client_error(return KERN_FAILURE, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_encode_end_glob(56);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t6_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t6_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t6_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t7_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t7_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t7_switch_tag)
            {
            case '$':
              {
                char _t8_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t8_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t8_switch_tag)
                  {
                  case 'o':
                    {
                      char _t9_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t9_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t9_switch_tag)
                        {
                        case 'n':
                          {
                            char _t10_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t10_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t10_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t11_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t11_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t11_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _return._d);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_return._d)
                                                {
                                                case 1:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _return._u.x);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                case 2:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed16(0, _return._u.y);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _return._u.z);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(72);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

struct Foo3 un_two(un _obj, struct Foo4 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct Foo3 _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(100);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'w');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(40, a->_d);
    flick_mach3mig_encode_end_chunk(48);
    switch (a->_d)
      {
      case 1:
        {
          flick_mach3mig_encode_end_glob(100);
          flick_mach3mig_encode_longstring(a->_u.a, null_flick_free, mach3mig);
          break;
        }
      case 2:
        {
          flick_mach3mig_encode_new_chunk(12 + 4 * a->_u.b._length);
          flick_mach3mig_encode_unsigned32(0, a->_u.b._length);
          flick_mach3mig_array_encode_signed32_type(8, a->_u.b._length, 1, _type);
          if (a->_u.b._length > (unsigned int) 10)
            return MIG_ARRAY_TOO_LARGE;
          flick_mach3mig_array_encode_bcopy(12, a->_u.b._buffer, 4 * a->_u.b._length);
          flick_mach3mig_array_encode_end_chunk(12 + 4 * a->_u.b._length);
          flick_mach3mig_encode_end_glob(100);
          break;
        }
      default:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed32(0, a->_u.c);
          flick_mach3mig_encode_end_chunk(8);
          flick_mach3mig_encode_end_glob(100);
          break;
        }
      }
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t18_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t18_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t18_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t19_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t19_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t19_switch_tag)
            {
            case '$':
              {
                char _t20_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t20_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t20_switch_tag)
                  {
                  case 't':
                    {
                      char _t21_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t21_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t21_switch_tag)
                        {
                        case 'w':
                          {
                            char _t22_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t22_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t22_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t23_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t23_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t23_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed16(0, _return._d);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_return._d)
                                                {
                                                case -1:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed16(0, _return._u.a);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                case 50:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _return._u.b);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _return._u.c);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(72);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

