#include "array-1-client.h"

void flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data)
{
  flick_fluke_encode_new_glob(64);
  flick_fluke_encode_new_chunk(64);
  flick_fluke_encode_bcopy(0, *_data, 4 * 16);
  flick_fluke_encode_end_chunk(64);
  flick_fluke_encode_end_glob(64);
}

void flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned8_t _t0_array_length;

  _t0_array_length = 16;
  flick_fluke_decode_new_glob(64);
  flick_fluke_decode_new_chunk(64);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t0_array_length);
  flick_fluke_decode_end_chunk(64);
  flick_fluke_decode_end_glob(64);
}

void flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data)
{
  flick_fluke_encode_new_glob(128);
  flick_fluke_encode_new_chunk(128);
  flick_fluke_encode_bcopy(0, *_data, 4 * 32);
  flick_fluke_encode_end_chunk(128);
  flick_fluke_encode_end_glob(128);
}

void flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned8_t _t1_array_length;

  _t1_array_length = 32;
  flick_fluke_decode_new_glob(128);
  flick_fluke_decode_new_chunk(128);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t1_array_length);
  flick_fluke_decode_end_chunk(128);
  flick_fluke_decode_end_glob(128);
}

void flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data)
{
  flick_fluke_encode_new_glob(256);
  flick_fluke_encode_new_chunk(256);
  flick_fluke_encode_bcopy(0, *_data, 4 * 64);
  flick_fluke_encode_end_chunk(256);
  flick_fluke_encode_end_glob(256);
}

void flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned8_t _t2_array_length;

  _t2_array_length = 64;
  flick_fluke_decode_new_glob(256);
  flick_fluke_decode_new_chunk(256);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t2_array_length);
  flick_fluke_decode_end_chunk(256);
  flick_fluke_decode_end_glob(256);
}

void flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data)
{
  flick_fluke_encode_new_glob(512);
  flick_fluke_encode_new_chunk(512);
  flick_fluke_encode_bcopy(0, *_data, 4 * 128);
  flick_fluke_encode_end_chunk(512);
  flick_fluke_encode_end_glob(512);
}

void flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned8_t _t3_array_length;

  _t3_array_length = 128;
  flick_fluke_decode_new_glob(512);
  flick_fluke_decode_new_chunk(512);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t3_array_length);
  flick_fluke_decode_end_chunk(512);
  flick_fluke_decode_end_glob(512);
}

void flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data)
{
  flick_fluke_encode_new_glob(1024);
  flick_fluke_encode_new_chunk(1024);
  flick_fluke_encode_bcopy(0, *_data, 4 * 256);
  flick_fluke_encode_end_chunk(1024);
  flick_fluke_encode_end_glob(1024);
}

void flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned16_t _t4_array_length;

  _t4_array_length = 256;
  flick_fluke_decode_new_glob(1024);
  flick_fluke_decode_new_chunk(1024);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t4_array_length);
  flick_fluke_decode_end_chunk(1024);
  flick_fluke_decode_end_glob(1024);
}

void flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data)
{
  flick_fluke_encode_new_glob(2048);
  flick_fluke_encode_new_chunk(2048);
  flick_fluke_encode_bcopy(0, *_data, 4 * 512);
  flick_fluke_encode_end_chunk(2048);
  flick_fluke_encode_end_glob(2048);
}

void flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned16_t _t5_array_length;

  _t5_array_length = 512;
  flick_fluke_decode_new_glob(2048);
  flick_fluke_decode_new_chunk(2048);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t5_array_length);
  flick_fluke_decode_end_chunk(2048);
  flick_fluke_decode_end_glob(2048);
}

void flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data)
{
  flick_fluke_encode_new_glob(4096);
  flick_fluke_encode_new_chunk(4096);
  flick_fluke_encode_bcopy(0, *_data, 4 * 1024);
  flick_fluke_encode_end_chunk(4096);
  flick_fluke_encode_end_glob(4096);
}

void flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned16_t _t6_array_length;

  _t6_array_length = 1024;
  flick_fluke_decode_new_glob(4096);
  flick_fluke_decode_new_chunk(4096);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t6_array_length);
  flick_fluke_decode_end_chunk(4096);
  flick_fluke_decode_end_glob(4096);
}

void flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data)
{
  flick_fluke_encode_new_glob(8192);
  flick_fluke_encode_new_chunk(8192);
  flick_fluke_encode_bcopy(0, *_data, 4 * 2048);
  flick_fluke_encode_end_chunk(8192);
  flick_fluke_encode_end_glob(8192);
}

void flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned16_t _t7_array_length;

  _t7_array_length = 2048;
  flick_fluke_decode_new_glob(8192);
  flick_fluke_decode_new_chunk(8192);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t7_array_length);
  flick_fluke_decode_end_chunk(8192);
  flick_fluke_decode_end_glob(8192);
}

void flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data)
{
  flick_fluke_encode_new_glob(4 * 4096);
  flick_fluke_encode_new_chunk(16384);
  flick_fluke_encode_bcopy(0, *_data, 4 * 4096);
  flick_fluke_encode_end_chunk(16384);
  flick_fluke_encode_end_glob(4 * 4096);
}

void flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned16_t _t8_array_length;

  _t8_array_length = 4096;
  flick_fluke_decode_new_glob(4 * _t8_array_length);
  flick_fluke_decode_new_chunk(16384);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t8_array_length);
  flick_fluke_decode_end_chunk(16384);
  flick_fluke_decode_end_glob(4 * _t8_array_length);
}

void flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data)
{
  flick_fluke_encode_new_glob(4 * 8192);
  flick_fluke_encode_new_chunk(32768);
  flick_fluke_encode_bcopy(0, *_data, 4 * 8192);
  flick_fluke_encode_end_chunk(32768);
  flick_fluke_encode_end_glob(4 * 8192);
}

void flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned16_t _t9_array_length;

  _t9_array_length = 8192;
  flick_fluke_decode_new_glob(4 * _t9_array_length);
  flick_fluke_decode_new_chunk(32768);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t9_array_length);
  flick_fluke_decode_end_chunk(32768);
  flick_fluke_decode_end_glob(4 * _t9_array_length);
}

void flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data)
{
  flick_fluke_encode_new_glob(4 * 16384);
  flick_fluke_encode_new_chunk(65536);
  flick_fluke_encode_bcopy(0, *_data, 4 * 16384);
  flick_fluke_encode_end_chunk(65536);
  flick_fluke_encode_end_glob(4 * 16384);
}

void flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned16_t _t10_array_length;

  _t10_array_length = 16384;
  flick_fluke_decode_new_glob(4 * _t10_array_length);
  flick_fluke_decode_new_chunk(65536);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t10_array_length);
  flick_fluke_decode_end_chunk(65536);
  flick_fluke_decode_end_glob(4 * _t10_array_length);
}

int *op64_1234(data64 arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(68);
    flick_fluke_encode_new_chunk(68);
    flick_fluke_encode_unsigned32(0, 1);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, arg, 4 * 16);
    flick_fluke_encode_end_chunk(68);
    flick_fluke_encode_end_glob(68);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t12_storage;

          /* Begin decode phase on parameters */
          _return = &_t12_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op128_1234(data128 arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(132);
    flick_fluke_encode_new_chunk(132);
    flick_fluke_encode_unsigned32(0, 2);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, arg, 4 * 32);
    flick_fluke_encode_end_chunk(132);
    flick_fluke_encode_end_glob(132);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t14_storage;

          /* Begin decode phase on parameters */
          _return = &_t14_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op256_1234(data256 arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(260);
    flick_fluke_encode_new_chunk(260);
    flick_fluke_encode_unsigned32(0, 3);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, arg, 4 * 64);
    flick_fluke_encode_end_chunk(260);
    flick_fluke_encode_end_glob(260);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t16_storage;

          /* Begin decode phase on parameters */
          _return = &_t16_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op512_1234(data512 arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(516);
    flick_fluke_encode_new_chunk(516);
    flick_fluke_encode_unsigned32(0, 4);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, arg, 4 * 128);
    flick_fluke_encode_end_chunk(516);
    flick_fluke_encode_end_glob(516);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t18_storage;

          /* Begin decode phase on parameters */
          _return = &_t18_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op1k_1234(data1K arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(1028);
    flick_fluke_encode_new_chunk(1028);
    flick_fluke_encode_unsigned32(0, 5);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, arg, 4 * 256);
    flick_fluke_encode_end_chunk(1028);
    flick_fluke_encode_end_glob(1028);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t20_storage;

          /* Begin decode phase on parameters */
          _return = &_t20_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op2k_1234(data2K arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(2052);
    flick_fluke_encode_new_chunk(2052);
    flick_fluke_encode_unsigned32(0, 6);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, arg, 4 * 512);
    flick_fluke_encode_end_chunk(2052);
    flick_fluke_encode_end_glob(2052);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t22_storage;

          /* Begin decode phase on parameters */
          _return = &_t22_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op4k_1234(data4K arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4100);
    flick_fluke_encode_new_chunk(4100);
    flick_fluke_encode_unsigned32(0, 7);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, arg, 4 * 1024);
    flick_fluke_encode_end_chunk(4100);
    flick_fluke_encode_end_glob(4100);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t24_storage;

          /* Begin decode phase on parameters */
          _return = &_t24_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op8k_1234(data8K arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 8);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(8192);
    flick_fluke_encode_new_chunk(8192);
    flick_fluke_encode_bcopy(0, arg, 4 * 2048);
    flick_fluke_encode_end_chunk(8192);
    flick_fluke_encode_end_glob(8192);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t26_storage;

          /* Begin decode phase on parameters */
          _return = &_t26_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op16k_1234(data16K arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 9);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(4 * 4096);
    flick_fluke_encode_new_chunk(16384);
    flick_fluke_encode_bcopy(0, arg, 4 * 4096);
    flick_fluke_encode_end_chunk(16384);
    flick_fluke_encode_end_glob(4 * 4096);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t28_storage;

          /* Begin decode phase on parameters */
          _return = &_t28_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op32k_1234(data32K arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 10);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(4 * 8192);
    flick_fluke_encode_new_chunk(32768);
    flick_fluke_encode_bcopy(0, arg, 4 * 8192);
    flick_fluke_encode_end_chunk(32768);
    flick_fluke_encode_end_glob(4 * 8192);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t30_storage;

          /* Begin decode phase on parameters */
          _return = &_t30_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op64k_1234(data64K arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 11);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(4 * 16384);
    flick_fluke_encode_new_chunk(65536);
    flick_fluke_encode_bcopy(0, arg, 4 * 16384);
    flick_fluke_encode_end_chunk(65536);
    flick_fluke_encode_end_glob(4 * 16384);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t32_storage;

          /* Begin decode phase on parameters */
          _return = &_t32_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

