#include "mig-tests-server.h"

mom_dispatch_action_t test_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t64_switch_tag;

    flick_fluke_decode_new_glob(2404);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t64_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t64_switch_tag)
      {
      case (signed int) 5550001:
        {
          {
            mach_port_t _local_target;
            Iint _local_inInt;
            Iint *_local_inoutInt;
            Iint *_local_outInt;
            kern_return_t _return;
            Iint _t65_storage;
            Iint _t66_storage;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_inInt);
            _local_inoutInt = &_t65_storage;
            flick_fluke_decode_signed32(4, *_local_inoutInt);
            _local_outInt = &_t66_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(2404);
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8);
                  flick_fluke_encode_signed32(0, *_local_inoutInt);
                  flick_fluke_encode_signed32(4, *_local_outInt);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5550002:
        {
          {
            mach_port_t _local_target;
            IFstruct _local_inStruct;
            IFstruct *_local_inoutStruct;
            IFstruct *_local_outStruct;
            kern_return_t _return;
            unsigned *_t67_internal;
            flick_unsigned8_t _t68_array_length;
            IFstruct _t69_storage;
            unsigned *_t70_internal;
            flick_unsigned8_t _t71_array_length;
            IFstruct _t72_storage;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            _t67_internal = (unsigned *)(&(_local_inStruct));
            _t68_array_length = 100;
            flick_fluke_decode_new_chunk(800);
            flick_fluke_decode_bcopy(0, _t67_internal, 4 * _t68_array_length);
            _local_inoutStruct = &_t69_storage;
            _t70_internal = (unsigned *)(&(*_local_inoutStruct));
            _t71_array_length = 100;
            flick_fluke_decode_bcopy(400, _t70_internal, 4 * _t71_array_length);
            _local_outStruct = &_t72_storage;
            flick_fluke_decode_end_chunk(800);
            flick_fluke_decode_end_glob(2404);
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(804);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  unsigned *_t75_internal;
                  unsigned *_t76_internal;

                  /* Begin encode phase on parameters */
                  _t75_internal = (unsigned *)(&(*_local_inoutStruct));
                  flick_fluke_encode_new_chunk(800);
                  flick_fluke_encode_bcopy(0, _t75_internal, 4 * 100);
                  _t76_internal = (unsigned *)(&(*_local_outStruct));
                  flick_fluke_encode_bcopy(400, _t76_internal, 4 * 100);
                  flick_fluke_encode_end_chunk(800);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(804);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5550003:
        {
          {
            mach_port_t _local_target;
            IFarray _local_inArray;
            IFarray _local_inoutArray;
            IFarray _local_outArray;
            kern_return_t _return;
            unsigned *_t77_internal;
            flick_unsigned16_t _t78_array_length;
            unsigned *_t79_internal;
            flick_unsigned16_t _t80_array_length;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            _t77_internal = (unsigned *)_local_inArray;
            _t78_array_length = 300;
            flick_fluke_decode_new_chunk(2400);
            flick_fluke_decode_bcopy(0, _t77_internal, 4 * _t78_array_length);
            _t79_internal = (unsigned *)_local_inoutArray;
            _t80_array_length = 300;
            flick_fluke_decode_bcopy(1200, _t79_internal, 4 * _t80_array_length);
            flick_fluke_decode_end_chunk(2400);
            flick_fluke_decode_end_glob(2404);
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(2404);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  unsigned *_t83_internal;
                  unsigned *_t84_internal;

                  /* Begin encode phase on parameters */
                  _t83_internal = (unsigned *)_local_inoutArray;
                  flick_fluke_encode_new_chunk(2400);
                  flick_fluke_encode_bcopy(0, _t83_internal, 4 * 300);
                  _t84_internal = (unsigned *)_local_outArray;
                  flick_fluke_encode_bcopy(1200, _t84_internal, 4 * 300);
                  flick_fluke_encode_end_chunk(2400);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(2404);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5550004:
        {
          {
            mach_port_t _local_target;
            IBarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            IBarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            IBarray _t85_storage;
            mach_msg_type_number_t _t86_storage;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4 * _local_inArrayCnt);
            flick_fluke_decode_bcopy(0, _local_inArray, 4 * _local_inArrayCnt);
            flick_fluke_decode_end_chunk(4 * _local_inArrayCnt);
            _local_outArray = &_t85_storage;
            _local_outArrayCnt = &_t86_storage;
            flick_fluke_decode_end_glob(2404);
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(2004);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4 * *_local_outArrayCnt);
                  flick_fluke_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                  flick_fluke_encode_end_chunk(4 * *_local_outArrayCnt);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(2004);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5550005:
        {
          {
            mach_port_t _local_target;
            Iarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            Iarray _t87_storage;
            mach_msg_type_number_t _t88_storage;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(2404);
            flick_fluke_decode_new_glob(4 * _local_inArrayCnt);
            flick_fluke_decode_new_chunk(4 * _local_inArrayCnt);
            _local_inArray = mach_vm_flick_alloc(_local_inArrayCnt * sizeof(unsigned ));
            flick_fluke_decode_bcopy(0, _local_inArray, 4 * _local_inArrayCnt);
            flick_fluke_decode_end_chunk(4 * _local_inArrayCnt);
            flick_fluke_decode_end_glob(4 * _local_inArrayCnt);
            _local_outArray = &_t87_storage;
            _local_outArrayCnt = &_t88_storage;
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_new_glob(4 * *_local_outArrayCnt);
                  flick_fluke_encode_new_chunk(4 * *_local_outArrayCnt);
                  flick_fluke_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                  mach_vm_flick_free(*_local_outArray);
                  flick_fluke_encode_end_chunk(4 * *_local_outArrayCnt);
                  flick_fluke_encode_end_glob(4 * *_local_outArrayCnt);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5550006:
        {
          {
            mach_port_t _local_target;
            IFstring _local_inString;
            IFstring _local_inoutString;
            IFstring _local_outString;
            kern_return_t _return;
            char *_t89_internal;
            flick_unsigned16_t _t90_array_length;
            char *_t91_internal;
            flick_unsigned16_t _t92_array_length;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            _t89_internal = (char *)_local_inString;
            _t90_array_length = 799;
            flick_fluke_decode_new_chunk(1598);
            flick_fluke_decode_bcopy(0, _t89_internal, 1 * _t90_array_length);
            _t91_internal = (char *)_local_inoutString;
            _t92_array_length = 799;
            flick_fluke_decode_bcopy(799, _t91_internal, 1 * _t92_array_length);
            flick_fluke_decode_end_chunk(1598);
            flick_fluke_decode_end_glob(2404);
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1602);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  char *_t95_internal;
                  char *_t96_internal;

                  /* Begin encode phase on parameters */
                  _t95_internal = (char *)_local_inoutString;
                  flick_fluke_encode_new_chunk(1598);
                  flick_fluke_encode_bcopy(0, _t95_internal, 1 * 799);
                  _t96_internal = (char *)_local_outString;
                  flick_fluke_encode_bcopy(799, _t96_internal, 1 * 799);
                  flick_fluke_encode_end_chunk(1598);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(1602);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5550007:
        {
          {
            mach_port_t _local_target;
            IVstring _local_inString;
            IVstring _local_outString;
            kern_return_t _return;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(2404);
            flick_fluke_decode_string(_local_inString, null_flick_alloc, fluke, 997);
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_strings(_local_target, _local_inString, _local_outString);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_string(_local_outString, null_flick_free, fluke, 997);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5550008:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_inRight;
            mach_port_t *_local_inoutRight;
            mach_port_t *_local_outRight;
            kern_return_t _return;
            mach_port_t _t97_storage;
            mach_port_t _t98_storage;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_port32(0, _local_inRight, 1);
            _local_inoutRight = &_t97_storage;
            flick_fluke_decode_port32(4, *_local_inoutRight, 1);
            _local_outRight = &_t98_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(2404);
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_rights(_local_target, _local_inRight, _local_inoutRight, _local_outRight);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8);
                  flick_fluke_encode_port32(0, *_local_inoutRight, 0);
                  flick_fluke_encode_port32(4, *_local_outRight, 1);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5550009:
        {
          {
            mach_port_t _local_target;
            Imach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            mach_msg_type_number_t _t99_array_iter;
            Imach_port_array_t _t100_storage;
            mach_msg_type_number_t _t101_storage;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(2404);
            flick_fluke_decode_new_glob(4 * _local_inRightCnt);
            _local_inRight = mach_vm_flick_alloc(_local_inRightCnt * sizeof(mach_port_t ));
            for (_t99_array_iter = 0; _t99_array_iter < _local_inRightCnt; _t99_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_port32(0, _local_inRight[_t99_array_iter], 1);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_end_glob(4 * _local_inRightCnt);
            _local_outRight = &_t100_storage;
            _local_outRightCnt = &_t101_storage;
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  mach_msg_type_number_t _t103_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_new_glob(4 * *_local_outRightCnt);
                  for (_t103_array_iter = 0; _t103_array_iter < *_local_outRightCnt; _t103_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(4);
                      flick_fluke_encode_port32(0, (*_local_outRight)[_t103_array_iter], 1);
                      flick_fluke_encode_end_chunk(4);
                    }
                  mach_vm_flick_free(*_local_outRight);
                  flick_fluke_encode_end_glob(4 * *_local_outRightCnt);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5550011:
        {
          {
            mach_port_t _local_target;
            Oint _local_inInt;
            Oint *_local_inoutInt;
            Oint *_local_outInt;
            kern_return_t _return;
            flick_unsigned8_t _t104_array_length;
            Oint _t105_storage;
            flick_unsigned8_t _t106_array_length;
            Oint _t107_storage;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            _t104_array_length = 1;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_inInt);
            _local_inoutInt = &_t105_storage;
            _t106_array_length = 1;
            flick_fluke_decode_unsigned32(4, *_local_inoutInt);
            _local_outInt = &_t107_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(2404);
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8);
                  flick_fluke_encode_unsigned32(0, *_local_inoutInt);
                  flick_fluke_encode_unsigned32(4, *_local_outInt);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5550012:
        {
          {
            mach_port_t _local_target;
            OFstruct _local_inStruct;
            OFstruct *_local_inoutStruct;
            OFstruct *_local_outStruct;
            kern_return_t _return;
            flick_unsigned8_t _t108_array_length;
            OFstruct _t109_storage;
            flick_unsigned8_t _t110_array_length;
            OFstruct _t111_storage;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            _t108_array_length = 1;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_inStruct);
            _local_inoutStruct = &_t109_storage;
            _t110_array_length = 1;
            flick_fluke_decode_unsigned32(4, *_local_inoutStruct);
            _local_outStruct = &_t111_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(2404);
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8);
                  flick_fluke_encode_unsigned32(0, *_local_inoutStruct);
                  flick_fluke_encode_unsigned32(4, *_local_outStruct);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5550013:
        {
          {
            mach_port_t _local_target;
            OFarray _local_inArray;
            OFarray *_local_inoutArray;
            OFarray *_local_outArray;
            kern_return_t _return;
            flick_unsigned8_t _t112_array_length;
            OFarray _t113_storage;
            flick_unsigned8_t _t114_array_length;
            OFarray _t115_storage;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            _t112_array_length = 1;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_inArray);
            _local_inoutArray = &_t113_storage;
            _t114_array_length = 1;
            flick_fluke_decode_unsigned32(4, *_local_inoutArray);
            _local_outArray = &_t115_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(2404);
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8);
                  flick_fluke_encode_unsigned32(0, *_local_inoutArray);
                  flick_fluke_encode_unsigned32(4, *_local_outArray);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5550014:
        {
          {
            mach_port_t _local_target;
            Oarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray *_local_inoutArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            Oarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            mach_msg_type_number_t _t116_storage;
            Oarray _t117_storage;
            Oarray _t118_storage;
            mach_msg_type_number_t _t119_storage;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_inArray);
            _local_inoutArrayCnt = &_t116_storage;
            _local_inoutArray = &_t117_storage;
            flick_fluke_decode_unsigned32(4, *_local_inoutArray);
            _local_outArray = &_t118_storage;
            _local_outArrayCnt = &_t119_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(2404);
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8);
                  flick_fluke_encode_unsigned32(0, *_local_inoutArray);
                  flick_fluke_encode_unsigned32(4, *_local_outArray);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5550015:
        {
          {
            mach_port_t _local_target;
            OFstring _local_inString;
            OFstring *_local_inoutString;
            OFstring *_local_outString;
            kern_return_t _return;
            flick_unsigned8_t _t120_array_length;
            OFstring _t121_storage;
            flick_unsigned8_t _t122_array_length;
            OFstring _t123_storage;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            _t120_array_length = 1;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_inString);
            _local_inoutString = &_t121_storage;
            _t122_array_length = 1;
            flick_fluke_decode_unsigned32(4, *_local_inoutString);
            _local_outString = &_t123_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(2404);
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8);
                  flick_fluke_encode_unsigned32(0, *_local_inoutString);
                  flick_fluke_encode_unsigned32(4, *_local_outString);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5550016:
        {
          {
            mach_port_t _local_target;
            mach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            mach_port_array_t *_local_inoutRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            mach_msg_type_number_t _t124_storage;
            mach_port_array_t _t125_storage;
            mach_port_array_t _t126_storage;
            mach_msg_type_number_t _t127_storage;

            _local_target = (mach_port_t )_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_inRight);
            _local_inoutRightCnt = &_t124_storage;
            _local_inoutRight = &_t125_storage;
            flick_fluke_decode_unsigned32(4, *_local_inoutRight);
            _local_outRight = &_t126_storage;
            _local_outRightCnt = &_t127_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(2404);
            flick_fluke_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _return);
            flick_fluke_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8);
                  flick_fluke_encode_unsigned32(0, *_local_inoutRight);
                  flick_fluke_encode_unsigned32(4, *_local_outRight);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(2404);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
