#ifndef _parm__client_h_
#define _parm__client_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___Enumeration
#define _typedef___Enumeration
typedef unsigned long int Enumeration;
#endif /* _typedef___Enumeration */

void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data);

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data);

#define ONE (0)

#define TWO (1)

#ifndef _typedef___FStruct
#define _typedef___FStruct
typedef struct FStruct {
  oskit_s16_t a;
} FStruct;
#endif /* _typedef___FStruct */

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const FStruct *_data);

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, FStruct *_data);

#ifndef _typedef___VStruct
#define _typedef___VStruct
typedef struct VStruct {
  char *a;
} VStruct;
#endif /* _typedef___VStruct */

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const VStruct *_data);

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, VStruct *_data);

#ifndef _typedef___FUnion
#define _typedef___FUnion
typedef struct FUnion {
  oskit_s32_t _d;
  union {
    oskit_s32_t x;
    char z;
  } _u;
} FUnion;
#endif /* _typedef___FUnion */

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const FUnion *_data);

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, FUnion *_data);

#ifndef _typedef___VUnion
#define _typedef___VUnion
typedef struct VUnion {
  oskit_s32_t _d;
  union {
    char *a;
    char z;
  } _u;
} VUnion;
#endif /* _typedef___VUnion */

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const VUnion *_data);

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, VUnion *_data);

#ifndef _typedef___test_arr
#define _typedef___test_arr
typedef oskit_s32_t test_arr[10];
#endif /* _typedef___test_arr */

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data);

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data);

#ifndef _typedef___test_arr_slice
#define _typedef___test_arr_slice
typedef oskit_s32_t test_arr_slice;
#endif /* _typedef___test_arr_slice */

#ifndef _typedef___CORBA_sequence_integer
#define _typedef___CORBA_sequence_integer
typedef struct CORBA_sequence_integer {
  unsigned long int _length;
  oskit_s32_t *_buffer;
} CORBA_sequence_integer;
#endif /* _typedef___CORBA_sequence_integer */

#ifndef _typedef___test_seq
#define _typedef___test_seq
typedef struct CORBA_sequence_integer test_seq;
#endif /* _typedef___test_seq */

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data);

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data);

#include <fluke/flick.h>

oskit_s16_t test_Short(mom_ref_t _obj, oskit_s16_t a, oskit_s16_t *b, oskit_s16_t *c, mom_exc_t *_ev);

oskit_s32_t test_Long(mom_ref_t _obj, oskit_s32_t a, oskit_s32_t *b, oskit_s32_t *c, mom_exc_t *_ev);

oskit_u16_t test_UShort(mom_ref_t _obj, oskit_u16_t a, oskit_u16_t *b, oskit_u16_t *c, mom_exc_t *_ev);

oskit_u32_t test_ULong(mom_ref_t _obj, oskit_u32_t a, oskit_u32_t *b, oskit_u32_t *c, mom_exc_t *_ev);

float test_Float(mom_ref_t _obj, float a, float *b, float *c, mom_exc_t *_ev);

oskit_bool_t test_Boolean(mom_ref_t _obj, oskit_bool_t a, oskit_bool_t *b, oskit_bool_t *c, mom_exc_t *_ev);

char test_Char(mom_ref_t _obj, char a, char *b, char *c, mom_exc_t *_ev);

oskit_u8_t test_Octet(mom_ref_t _obj, oskit_u8_t a, oskit_u8_t *b, oskit_u8_t *c, mom_exc_t *_ev);

Enumeration test_Enum(mom_ref_t _obj, Enumeration a, Enumeration *b, Enumeration *c, mom_exc_t *_ev);

FStruct test_FixedStruct(mom_ref_t _obj, const FStruct *a, FStruct *b, FStruct *c, mom_exc_t *_ev);

VStruct *test_VarStruct(mom_ref_t _obj, const VStruct *a, VStruct *b, VStruct **c, mom_exc_t *_ev);

FUnion test_FixedUnion(mom_ref_t _obj, const FUnion *a, FUnion *b, FUnion *c, mom_exc_t *_ev);

VUnion *test_VarUnion(mom_ref_t _obj, const VUnion *a, VUnion *b, VUnion **c, mom_exc_t *_ev);

char *test_String(mom_ref_t _obj, const char *a, char **b, char **c, mom_exc_t *_ev);

char *test_BoundString(mom_ref_t _obj, const char *a, char **b, char **c, mom_exc_t *_ev);

test_arr_slice *test_Array(mom_ref_t _obj, test_arr a, test_arr b, test_arr c, mom_exc_t *_ev);

test_seq *test_Sequence(mom_ref_t _obj, const test_seq *a, test_seq *b, test_seq **c, mom_exc_t *_ev);

#endif /* _parm__client_h_ */
