#ifndef _sequence_client_h_
#define _sequence_client_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___CORBA_sequence_integer
#define _typedef___CORBA_sequence_integer
typedef struct CORBA_sequence_integer {
  unsigned long int _length;
  oskit_s32_t *_buffer;
} CORBA_sequence_integer;
#endif /* _typedef___CORBA_sequence_integer */

#ifndef _typedef___vec10
#define _typedef___vec10
typedef struct CORBA_sequence_integer vec10;
#endif /* _typedef___vec10 */

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data);

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data);

#ifndef _typedef___puke
#define _typedef___puke
typedef struct puke {
  oskit_s32_t reason;
} puke;
#endif /* _typedef___puke */

void flick_marshal_stub_puke(flick_marshal_stream_t _stream, const puke *_data);

void flick_unmarshal_stub_puke(flick_marshal_stream_t _stream, puke *_data);

#include <fluke/flick.h>

vec10 *TestSeq_op(mom_ref_t _obj, const vec10 *iv, vec10 **ov, vec10 *iov, mom_exc_t *_ev);

#endif /* _sequence_client_h_ */
