#include "structplain_-server.h"

void flick_marshal_stub_coord(flick_marshal_stream_t _stream, const coord *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed16(0, _data->row);
  flick_fluke_encode_signed16(2, _data->col);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_coord(flick_marshal_stream_t _stream, coord *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed16(0, _data->row);
  flick_fluke_decode_signed16(2, _data->col);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_geom(flick_marshal_stream_t _stream, const geom *_data)
{
}

void flick_unmarshal_stub_geom(flick_marshal_stream_t _stream, geom *_data)
{
}

mom_dispatch_action_t geom_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t4_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t4_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t4_switch_tag)
      {
      case req_geom_dist:
        {
          {
            geom *_obj;
            coord *_local_a;
            coord *_local_b;
            mom_exc_t *_ev;
            oskit_s16_t _return = 0;
            coord _t5_storage;
            coord _t6_storage;
            mom_exc_t _t7_storage;

            _obj = (geom *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = &_t5_storage;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed16(0, _local_a->row);
            flick_fluke_decode_signed16(2, _local_a->col);
            _local_b = &_t6_storage;
            flick_fluke_decode_signed16(4, _local_b->row);
            flick_fluke_decode_signed16(6, _local_b->col);
            _ev = &_t7_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = geom_server_dist(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(6);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
