#include "constant-6-client.h"

void flick_marshal_stub_mush(flick_marshal_stream_t _stream, const struct mush *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->x);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->x)
    {
    case 1:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->mush_u.foo);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 2:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->mush_u.bar);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
        break;
      }
    }
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_mush(flick_marshal_stream_t _stream, struct mush *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->x);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->x)
    {
    case 1:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->mush_u.foo);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 2:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->mush_u.bar);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
        break;
      }
    }
  flick_mach3mig_decode_end_glob(16);
}

