#include "mig-types-server.h"

boolean_t types_server(mach_msg_header_t *InHeadP, mach_msg_header_t *OutHeadP)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;

  flick_mach3mig_server_start_decode();
  {
    signed int _t78_switch_tag;

    _t78_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t78_switch_tag)
      {
      case (signed int) 4440000:
        {
          {
            mach_port_t _local_target;
            char _char;
            byte _byte;
            bool _bool;
            shortshort _short8;
            short _short16;
            int _int;
            long int _long;
            signed int _signed;
            unsigned int _unsigned;
            float _float;
            double _double;
            kern_return_t _return;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            flick_mach3mig_decode_new_glob(92);
            flick_mach3mig_decode_new_chunk(92);
            flick_mach3mig_decode_char8(0, _char);
            flick_mach3mig_decode_signed8(8, _byte);
            flick_mach3mig_decode_boolean(16, _bool);
            flick_mach3mig_decode_signed8(24, _short8);
            flick_mach3mig_decode_signed16(32, _short16);
            flick_mach3mig_decode_signed32(40, _int);
            flick_mach3mig_decode_signed32(48, _long);
            flick_mach3mig_decode_signed32(56, _signed);
            flick_mach3mig_decode_signed32(64, _unsigned);
            flick_mach3mig_decode_float32(72, _float);
            flick_mach3mig_decode_float64(80, _double);
            flick_mach3mig_decode_end_chunk(92);
            flick_mach3mig_decode_end_glob(92);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_snd(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 4440100;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 4440001:
        {
          {
            mach_port_t _local_target;
            char *_char;
            byte *_byte;
            bool *_bool;
            shortshort *_short8;
            short *_short16;
            int *_int;
            long int *_long;
            signed int *_signed;
            unsigned int *_unsigned;
            float *_float;
            double *_double;
            kern_return_t _return;
            char _t79_storage;
            byte _t80_storage;
            bool _t81_storage;
            shortshort _t82_storage;
            short _t83_storage;
            int _t84_storage;
            long int _t85_storage;
            signed int _t86_storage;
            unsigned int _t87_storage;
            float _t88_storage;
            double _t89_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _char = &_t79_storage;
            _byte = &_t80_storage;
            _bool = &_t81_storage;
            _short8 = &_t82_storage;
            _short16 = &_t83_storage;
            _int = &_t84_storage;
            _long = &_t85_storage;
            _signed = &_t86_storage;
            _unsigned = &_t87_storage;
            _float = &_t88_storage;
            _double = &_t89_storage;
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rcv(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(92);
            _stream->msg_buf->Head.msgh_id = 4440101;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_new_chunk(92);
                  flick_mach3mig_encode_char8(0, *_char);
                  flick_mach3mig_encode_signed8(8, *_byte);
                  flick_mach3mig_encode_boolean(16, *_bool);
                  flick_mach3mig_encode_signed8(24, *_short8);
                  flick_mach3mig_encode_signed16(32, *_short16);
                  flick_mach3mig_encode_signed32(40, *_int);
                  flick_mach3mig_encode_signed32(48, *_long);
                  flick_mach3mig_encode_signed32(56, *_signed);
                  flick_mach3mig_encode_signed32(64, *_unsigned);
                  flick_mach3mig_encode_float32(72, *_float);
                  flick_mach3mig_encode_float64(80, *_double);
                  flick_mach3mig_encode_end_chunk(92);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(92);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 4440002:
        {
          {
            mach_port_t _local_target;
            charA _charA;
            byteA _byteA;
            boolA _boolA;
            shortshortA _short8A;
            shortA _short16A;
            intA _intA;
            longA _longA;
            signedA _signedA;
            unsignedA _unsignedA;
            floatA _floatA;
            doubleA _doubleA;
            kern_return_t _return;
            char *_t90_internal;
            flick_unsigned8_t _t91_array_length;
            byte *_t92_internal;
            flick_unsigned8_t _t93_array_length;
            bool *_t94_internal;
            flick_unsigned8_t _t95_array_length;
            shortshort *_t96_internal;
            flick_unsigned8_t _t97_array_length;
            short *_t98_internal;
            flick_unsigned8_t _t99_array_length;
            int *_t100_internal;
            flick_unsigned8_t _t101_array_length;
            long *_t102_internal;
            flick_unsigned8_t _t103_array_length;
            signed *_t104_internal;
            flick_unsigned8_t _t105_array_length;
            unsigned *_t106_internal;
            flick_unsigned8_t _t107_array_length;
            float *_t108_internal;
            flick_unsigned8_t _t109_array_length;
            double *_t110_internal;
            flick_unsigned8_t _t111_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t90_internal = (char *)_charA;
            _t91_array_length = 9;
            flick_mach3mig_array_decode_new_glob(388);
            flick_mach3mig_array_decode_new_chunk(388);
            flick_mach3mig_array_decode_char8_type(0, _t91_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(4, _t90_internal, 1 * _t91_array_length);
            _t92_internal = (byte *)_byteA;
            _t93_array_length = 9;
            flick_mach3mig_array_decode_signed8_type(16, _t93_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(20, _t92_internal, 1 * _t93_array_length);
            _t94_internal = (bool *)_boolA;
            _t95_array_length = 9;
            flick_mach3mig_array_decode_boolean_type(32, _t95_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(36, _t94_internal, 4 * _t95_array_length);
            _t96_internal = (shortshort *)_short8A;
            _t97_array_length = 9;
            flick_mach3mig_array_decode_signed8_type(72, _t97_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(76, _t96_internal, 1 * _t97_array_length);
            _t98_internal = (short *)_short16A;
            _t99_array_length = 9;
            flick_mach3mig_array_decode_signed16_type(88, _t99_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(92, _t98_internal, 2 * _t99_array_length);
            _t100_internal = (int *)_intA;
            _t101_array_length = 9;
            flick_mach3mig_array_decode_signed32_type(112, _t101_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(116, _t100_internal, 4 * _t101_array_length);
            _t102_internal = (long *)_longA;
            _t103_array_length = 9;
            flick_mach3mig_array_decode_signed32_type(152, _t103_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(156, _t102_internal, 4 * _t103_array_length);
            _t104_internal = (signed *)_signedA;
            _t105_array_length = 9;
            flick_mach3mig_array_decode_signed32_type(192, _t105_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(196, _t104_internal, 4 * _t105_array_length);
            _t106_internal = (unsigned *)_unsignedA;
            _t107_array_length = 9;
            flick_mach3mig_array_decode_signed32_type(232, _t107_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(236, _t106_internal, 4 * _t107_array_length);
            _t108_internal = (float *)_floatA;
            _t109_array_length = 9;
            flick_mach3mig_array_decode_float32_type(272, _t109_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(276, _t108_internal, 4 * _t109_array_length);
            _t110_internal = (double *)_doubleA;
            _t111_array_length = 9;
            flick_mach3mig_array_decode_float64_type(312, _t111_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(316, _t110_internal, 8 * _t111_array_length);
            flick_mach3mig_decode_end_chunk(388);
            flick_mach3mig_decode_end_glob(388);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_sndArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 4440102;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 4440003:
        {
          {
            mach_port_t _local_target;
            charA _charA;
            byteA _byteA;
            boolA _boolA;
            shortshortA _short8A;
            shortA _short16A;
            intA _intA;
            longA _longA;
            signedA _signedA;
            unsignedA _unsignedA;
            floatA _floatA;
            doubleA _doubleA;
            kern_return_t _return;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            flick_mach3mig_decode_new_glob(0);
            flick_mach3mig_decode_end_glob(0);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rcvArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(388);
            _stream->msg_buf->Head.msgh_id = 4440103;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  char *_t145_internal;
                  byte *_t146_internal;
                  bool *_t147_internal;
                  shortshort *_t148_internal;
                  short *_t149_internal;
                  int *_t150_internal;
                  long *_t151_internal;
                  signed *_t152_internal;
                  unsigned *_t153_internal;
                  float *_t154_internal;
                  double *_t155_internal;

                  /* Begin encode phase on parameters */
                  _t145_internal = (char *)_charA;
                  flick_mach3mig_array_encode_new_chunk(388);
                  flick_mach3mig_array_encode_char8_type(0, 9, 1, _type);
                  flick_mach3mig_array_encode_bcopy(4, _t145_internal, 1 * 9);
                  _t146_internal = (byte *)_byteA;
                  flick_mach3mig_array_encode_signed8_type(16, 9, 1, _type);
                  flick_mach3mig_array_encode_bcopy(20, _t146_internal, 1 * 9);
                  _t147_internal = (bool *)_boolA;
                  flick_mach3mig_array_encode_boolean_type(32, 9, 1, _type);
                  flick_mach3mig_array_encode_bcopy(36, _t147_internal, 4 * 9);
                  _t148_internal = (shortshort *)_short8A;
                  flick_mach3mig_array_encode_signed8_type(72, 9, 1, _type);
                  flick_mach3mig_array_encode_bcopy(76, _t148_internal, 1 * 9);
                  _t149_internal = (short *)_short16A;
                  flick_mach3mig_array_encode_signed16_type(88, 9, 1, _type);
                  flick_mach3mig_array_encode_bcopy(92, _t149_internal, 2 * 9);
                  _t150_internal = (int *)_intA;
                  flick_mach3mig_array_encode_signed32_type(112, 9, 1, _type);
                  flick_mach3mig_array_encode_bcopy(116, _t150_internal, 4 * 9);
                  _t151_internal = (long *)_longA;
                  flick_mach3mig_array_encode_signed32_type(152, 9, 1, _type);
                  flick_mach3mig_array_encode_bcopy(156, _t151_internal, 4 * 9);
                  _t152_internal = (signed *)_signedA;
                  flick_mach3mig_array_encode_signed32_type(192, 9, 1, _type);
                  flick_mach3mig_array_encode_bcopy(196, _t152_internal, 4 * 9);
                  _t153_internal = (unsigned *)_unsignedA;
                  flick_mach3mig_array_encode_signed32_type(232, 9, 1, _type);
                  flick_mach3mig_array_encode_bcopy(236, _t153_internal, 4 * 9);
                  _t154_internal = (float *)_floatA;
                  flick_mach3mig_array_encode_float32_type(272, 9, 1, _type);
                  flick_mach3mig_array_encode_bcopy(276, _t154_internal, 4 * 9);
                  _t155_internal = (double *)_doubleA;
                  flick_mach3mig_array_encode_float64_type(312, 9, 1, _type);
                  flick_mach3mig_array_encode_bcopy(316, _t155_internal, 8 * 9);
                  flick_mach3mig_encode_end_chunk(388);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(388);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, mach3mig, mach3mig);
          break;
        }
      }
  }
  return 1;
}
